Debian Bug report logs - #235759
libc6: iconv's replacement for "German quotes in UTF-8" to latin1

version graph

Package: locales; Maintainer for locales is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for locales is src:eglibc.

Reported by: Jens Nachtigall <nachtigall@web.de>

Date: Tue, 2 Mar 2004 10:03:01 UTC

Severity: minor

Tags: fixed-upstream, l10n, patch

Fixed in version glibc/2.3.5-12

Done: Denis Barbier <barbier@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: submit@bugs.debian.org
Subject: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Tue, 2 Mar 2004 10:43:00 +0100
Package: libc6
Version: 2.3.2.ds1-11
Severity: minor
Tags: l10n


There are two different sets of quotes in German:
- the so-called German quotes (quite similar to English quotes), 
which are part of UTF-8: "„" and "“"
- and the so called French quotes (guillemets), which are also part 
of ISO 8859-1: "»" and "«"

Both sets of quotes are used by German translators.

The German quotes can only be seen with an UTF-8 enabled locale. If 
UTF-8 is not enabled, iconv replaces "„" with ",," and "“" with 
""".
$> echo "0: e2 80 9e e2 80 9c 0a" | xxd -r | iconv --from=UTF-8 \ 
--to=latin1//translit
,,"

It is consensus amongst German translators that this replacement 
strategy is unappropriate. It would be better to replace the German 
quotes with the French ones, that is  "„" should be replaced by "»" 
and "“" by "«" in an environment which is unable of using UTF-8.
$> echo "0: e2 80 9e e2 80 9c 0a" | xxd -r | iconv --from=UTF-8 \ 
--to=latin1//translit
»«

For reference see this discussion of the German i18n team (in 
German): 
http://lists.debian.org/debian-l10n-german/2004/debian-l10n-german-200401/msg00024.html





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Jens Nachtigall <nachtigall@web.de>, 235759@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Tue, 2 Mar 2004 12:35:41 +0100
[Message part 1 (text/plain, inline)]
reassign 235759 locales
tags 235759 + patch
thanks

On Tue, Mar 02, 2004 at 10:43:00AM +0100, Jens Nachtigall wrote:
> Package: libc6

Reassigned to the locales package.

> Version: 2.3.2.ds1-11
> Severity: minor
> Tags: l10n
> 
> There are two different sets of quotes in German:
> - the so-called German quotes (quite similar to English quotes), 
> which are part of UTF-8: "???" and "???"
> - and the so called French quotes (guillemets), which are also part 
> of ISO 8859-1: "»" and "«"
[...]
> It would be better to replace the German quotes with the French ones,
> that is  "???" should be replaced by "»" and "???" by "«" in an
> environment which is unable of using UTF-8.
> $> echo "0: e2 80 9e e2 80 9c 0a" | xxd -r | iconv --from=UTF-8 \ 
> --to=latin1//translit
> »«

Here is a patch, but IMHO you should report this problem upstream.
Unless it is fixed in their CVS (or at least agreed upon), I am afraid
that glibc Debian maintainers will be reluctant to make this change.

Denis
[de_DE.patch (text/plain, attachment)]

Bug reassigned from package `libc6' to `locales'. Request was from barbier@linuxfr.org (Denis Barbier) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from barbier@linuxfr.org (Denis Barbier) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: barbier@linuxfr.org (Denis Barbier), 235759@bugs.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Wed, 3 Mar 2004 11:01:08 +0100
> Here is a patch, but IMHO you should report this problem
> upstream. Unless it is fixed in their CVS (or at least agreed
> upon), I am afraid that glibc Debian maintainers will be
> reluctant to make this change.

The bug has now been reported to glibc:
http://sources.redhat.com/bugzilla/show_bug.cgi?id=56


PS
Some more background information (not absolutely necessary to read):
This bug report started the discussion among German translators:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486&msg=13





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 235759@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: barbier@linuxfr.org (Denis Barbier), 235759@bugs.debian.org
Cc: Jens Nachtigall <nachtigall@web.de>
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Fri, 12 Mar 2004 17:36:09 +0900
At Tue, 2 Mar 2004 12:35:41 +0100,
Denis Barbier wrote:
> > There are two different sets of quotes in German:
> > - the so-called German quotes (quite similar to English quotes), 
> > which are part of UTF-8: "???" and "???"
> > - and the so called French quotes (guillemets), which are also part 
> > of ISO 8859-1: "»" and "«"
> [...]
> > It would be better to replace the German quotes with the French ones,
> > that is  "???" should be replaced by "»" and "???" by "«" in an
> > environment which is unable of using UTF-8.
> > $> echo "0: e2 80 9e e2 80 9c 0a" | xxd -r | iconv --from=UTF-8 \ 
> > --to=latin1//translit
> > »«
> 
> Here is a patch, but IMHO you should report this problem upstream.
> Unless it is fixed in their CVS (or at least agreed upon), I am afraid
> that glibc Debian maintainers will be reluctant to make this change.

I don't understand why they want to use this convertion instead of ,,
and ".  Please describe the reason for BTS or bugzilla.  In addition I
can't read German.

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: 235759@bugs.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Fri, 12 Mar 2004 11:25:34 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> I don't understand why they want to use this convertion instead
> of ,, and ".  Please describe the reason for BTS or bugzilla.  In
> addition I can't read German.

There was a bug report about this matter
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486&msg=13

Hence the discussion on the German translators' list. The thing is 
simply that ,, (2 commas) are not the same as one „ (the beginning 
quote). This is quite confusing - take this as an example:
$ cp -v .bashrc /tmp/
,,.bashrc" -> ,,/tmp/.bashrc"

However, there is actually no need for this unappropriate 
replacement pattern, since »this way to quote« is regarded 
equivalent to „this way to quote“ in German. So when the above 
mentioned bug report came up, the discussion on the German 
translators' email list went like: "All translators should only use 
» and «. This should be accepted as a generell convention and all 
translators should stick to it etc." However, others said: "I want 
to use  „ and “. These quotes are nicer and more often used (which 
is true), get your PC ready for UTF-8". Later we found out that 
this problem could be easily fixed by changing the replacement 
pattern.

HTH. Feel free to comment on it or to ask about it.

Jens
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD4DBQFAUZAjAzJOgw63+4oRAnBpAJ4znBDYDDeq5mcPooq/a5TSf93/0gCSA9zp
o5mArZR/JwD//wGgoQMP1w==
=PuYd
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 235759@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Jens Nachtigall <nachtigall@web.de>, 235759@bugs.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Fri, 12 Mar 2004 22:26:44 +0900
At Fri, 12 Mar 2004 11:25:34 +0100,
Jens Nachtigall wrote:
> > I don't understand why they want to use this convertion instead
> > of ,, and ".  Please describe the reason for BTS or bugzilla.  In
> > addition I can't read German.
> 
> There was a bug report about this matter
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486&msg=13
> 
> Hence the discussion on the German translators' list. The thing is 
> simply that ,, (2 commas) are not the same as one „ (the beginning 
> quote). This is quite confusing - take this as an example:
> $ cp -v .bashrc /tmp/
> ,,.bashrc" -> ,,/tmp/.bashrc"

So, default ` ' pair will become problematic under LANG=C, don't you?

> However, there is actually no need for this unappropriate 
> replacement pattern, since »this way to quote« is regarded 
> equivalent to „this way to quote“ in German. So when the above 
> mentioned bug report came up, the discussion on the German 
> translators' email list went like: "All translators should only use 
> » and «. This should be accepted as a generell convention and all 
> translators should stick to it etc." However, others said: "I want 
> to use  „ and “. These quotes are nicer and more often used (which 
> is true), get your PC ready for UTF-8". Later we found out that 
> this problem could be easily fixed by changing the replacement 
> pattern.

(I can't read your German quote on this mail client)

I searched about this original mapping.  ISO-5426 double open quote
seems being assigned to U201E:

	http://www.niso.org/international/SC4/Wg1_240.pdf
	http://www.issn.org:8080/English/pub/tools/format/characters

W3c example which uses ` ,, '.

	http://www.w3.org/TR/2004/CR-CSS21-20040225/generate.html

Markus Kuhn's transliteraion table uses another characters ` " '
(maybe high position character).
I think ,, is near character with U201E.

And is this modification gotten agreement from many German users?

I wonder this proposal is not well inspected.  I would like to reject
both bugzilla and BTS unless you provide more information.

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: Jens Nachtigall <nachtigall@web.de>, 235759@bugs.debian.org, debian-l10n-german@lists.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Fri, 12 Mar 2004 18:43:09 +0100
Hello GOTO,
On Fri, Mar 12, 2004 at 10:26:44PM +0900, GOTO Masanori wrote:
> And is this modification gotten agreement from many German users?

Yes, nobody on the german list disagrees with this proposal, and all
who voiced where in favor. This modification would allow people
"still" using the old ISO-encodings to continue having a nice reading
on the console (i.e., only one charachter, namely », for opining
quotes instead of two, and having » is *much* less confusing when
reading shell output than ,, as you can see in the above example) and
people who already switched to UTF-8 to have the "proper" german
quotes. 

> I wonder this proposal is not well inspected.  I would like to reject
> both bugzilla and BTS unless you provide more information.

This proposal is the outcome of a discussion on the german debian
list, so it *is* well inspected. As I understand your arguing,
upstream is "using" a different convention. But please also consider
the non-neglible fraction of people using a system with german locale --
which would like to have output which is both as little confusing as
possible and which conserves space.

If you have other reason for not accepting this proposal, then please
discuss this with us (I CC'ed the german debian list) so we can
evaluate the reasons together.

Thanks!

      Helge

-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
  gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: 235759@bugs.debian.org
Cc: Jens Nachtigall <nachtigall@web.de>
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Sat, 13 Mar 2004 10:51:31 +0100
On Fri, Mar 12, 2004 at 10:26:44PM +0900, GOTO Masanori wrote:
[...]
> So, default ` ' pair will become problematic under LANG=C, don't you?

Huh?  My patch only changes transliteration of U201E and U201C
characters under de locales.

[..]
> I searched about this original mapping.  ISO-5426 double open quote
> seems being assigned to U201E:
> 
> 	http://www.niso.org/international/SC4/Wg1_240.pdf
> 	http://www.issn.org:8080/English/pub/tools/format/characters

Unicode quotes are described in http://www.unicode.org/book/ch06.pdf p152.
It mentions for German (U201E,U201C) as well as French guillemets, in
which case it is identical to Slovenian example (this is not illustrated
but can be deduced from reading explanations about German quotes).
So it should now be pretty clear that:
  * U201E and U201C are normal German quotes (only available under
    UTF-8)
  * U00BB and U00AB are also common in German.

> W3c example which uses ` ,, '.
> 
> 	http://www.w3.org/TR/2004/CR-CSS21-20040225/generate.html
> 
> Markus Kuhn's transliteraion table uses another characters ` " '
> (maybe high position character).
> I think ,, is near character with U201E.

These tables are there to perform best-effort representations of any
Unicode text; of course better alternatives can exist depending on
local conventions, which is the case here when you know that you
are translating German text.

> And is this modification gotten agreement from many German users?

Given the ugly rendering of UTF-8 quotes under ISO-8859-15 locale, they
discuss whether French guillemets should be used even in UTF-8 encoded
PO files to work around this problem.  Then quotes are not perfect for
UTF-8 folks, but at least ISO-8859-15 people do not have to wonder what
those commas are for.  AFAICT nobody dares to suggest that current
transliteration does the right thing ;)

> I wonder this proposal is not well inspected.  I would like to reject
> both bugzilla and BTS unless you provide more information.

Please reconsider your position.
There are still questions for German people: why was this issue not
raised before?  As for French, I guess that most PO files are ISO-8859-1
encoded, but some projects (e.g.  KDE and GNOME) only accept UTF-8
encoded PO files, so they are hit by this bug for some time now.
I would say that either they decided to work around it by using French
guillemets or decided not to support ISO-8859-1, but do you have
pointers for such decisions?
Also SuSE does not seem to fix it too, do you know why?

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 235759@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: GOTO Masanori <gotom@debian.or.jp>, Jens Nachtigall <nachtigall@web.de>, 235759@bugs.debian.org, debian-l10n-german@lists.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Sun, 14 Mar 2004 13:06:00 +0900
At Fri, 12 Mar 2004 18:43:09 +0100,
Helge Kreutzmann wrote:
> > I wonder this proposal is not well inspected.  I would like to reject
> > both bugzilla and BTS unless you provide more information.
> 
> This proposal is the outcome of a discussion on the german debian
> list, so it *is* well inspected. As I understand your arguing,
> upstream is "using" a different convention. But please also consider
> the non-neglible fraction of people using a system with german locale --
> which would like to have output which is both as little confusing as
> possible and which conserves space.
> 
> If you have other reason for not accepting this proposal, then please
> discuss this with us (I CC'ed the german debian list) so we can
> evaluate the reasons together.

Your first argument is:

> quote). This is quite confusing - take this as an example:
> $ cp -v .bashrc /tmp/
> ,,.bashrc" -> ,,/tmp/.bashrc"

So I wrote in previous mail:

> So, default ` ' pair will become problematic under LANG=C, don't you?

> W3c example which uses ` ,, '.
> 
> 	http://www.w3.org/TR/2004/CR-CSS21-20040225/generate.html

Your point is standing on /bin/cp issue (it seems being confusable
when using only /bin/cp, and I said it's also confusable under LANG=C
so I think you should use original ` ') and French << and German ,, is
handled as same in Germany.  But I think it seems it's not quite
different character and it's not appropriate for transliteration
conversion.  Well I don't know German practice, so I would like to
know more reasons.  At least I presented w3c example - is this example
inappropriate for German users?

(BTW, Japanese /bin/cp uses ` ' instead of 「 」, and no user
complained)

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: GOTO Masanori <gotom@debian.or.jp>, 235759@bugs.debian.org, debian-l10n-german@lists.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Sun, 14 Mar 2004 19:53:36 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> Your first argument is:
> > quote). This is quite confusing - take this as an example:
> > $ cp -v .bashrc /tmp/
> > ,,.bashrc" -> ,,/tmp/.bashrc"
>
> So I wrote in previous mail:
> > So, default ` ' pair will become problematic under LANG=C, don't
> > you?
> >
> > W3c example which uses ` ,, '.
> >
> > 	http://www.w3.org/TR/2004/CR-CSS21-20040225/generate.html
>
> Your point is standing on /bin/cp issue (it seems being confusable
> when using only /bin/cp, and I said it's also confusable under LANG=C
> so I think you should use original ` ') and French << and German ,,
> is handled as same in Germany.  But I think it seems it's not quite
> different character and it's not appropriate for transliteration
> conversion.  Well I don't know German practice, so I would like to
> know more reasons.  At least I presented w3c example - is this
> example inappropriate for German users?

I would say it is inappropriate. Sure, `,,' looks similar to U201E, but 
similarity does not mean equivalence and therefore causes confusion as 
reality showed. However, as Denis already stated:
There are two *equivalent* sets of quotes in German:
 * U201E and U201C are normal German quotes (only available under
    UTF-8)
 * U00BB and U00AB are also common in German.

I don't see any reason why one should make up similar looking quotes for 
German like `,,'  (for U201E) or ` ' (the C default), if for the German 
language an equivalence (namely U00BB and U00AB) exists. 

I can understand your wish to know background information to why  this 
change is wished by the German translation team. I think, this 
information has now been been given, especially by Denis' email. If 
there are further reasons which let you hesitate, please state them.

Regards,
Jens


- -- 
Emailverschlüsselung (http://www.gnupg.org):
  GPG-Schlüssel: http://informatik.hu-berlin.de/~nachtiga/gpg.asc
  Fingerabdruck: 196F CA54 F3D2 C325 9A63 8B10 0332 4E83 0EB7 FB8A

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAVKowAzJOgw63+4oRAk+JAJsHG75FuiY+3MlKtdZ0+plszX9aQgCfbBE/
CPSIMRBJPIgS4h1vkhHAS2Q=
=cCyT
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Piefel <piefel@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Piefel <piefel@debian.org>
To: 235759@bugs.debian.org
Subject: Transliteration
Date: Mon, 15 Mar 2004 11:22:51 +0100
Just to cast my vote in favour of my predecessors:

The current transliteration of <U201E>Hallo<U201C> into ,,Hallo" is
ugly, although the replacement may look remotely similar.

The proposed transliteration of <U201E>Hallo<U201C> into »Hallo« may
look quite different, but it is a lot nicer and _semantically
equivalent_.

There is absolute consensus about this among translators and users.

Bye,
    Mike

-- 
|=| Michael Piefel
|=| Humboldt-Universität zu Berlin
|=| Tel. (+49 30) 2093 3831



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: 235759@bugs.debian.org
Cc: Jens Nachtigall <nachtigall@web.de>
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Wed, 17 Mar 2004 00:46:18 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar 13, 2004 at 10:51:31AM +0100, Denis Barbier wrote:
[...]
> > I wonder this proposal is not well inspected.  I would like to reject
> > both bugzilla and BTS unless you provide more information.
> 
> Please reconsider your position.
> There are still questions for German people: why was this issue not
> raised before?  As for French, I guess that most PO files are ISO-8859-1
> encoded, but some projects (e.g.  KDE and GNOME) only accept UTF-8
> encoded PO files, so they are hit by this bug for some time now.
> I would say that either they decided to work around it by using French
> guillemets or decided not to support ISO-8859-1, but do you have
> pointers for such decisions?

After further investigations, KDE German translators are using English
double quotes (ASCII), see e.g.
 http://i18n.kde.org/po_overview/HEAD/de.messages.bz2
and GNOME French ones (ISO-8859-1)
 http://developer.gnome.org/projects/gtp/status/gnome-2.4/PO/gtk+.gtk-2-2.de.po
(in both cases, search for \" in msgids).

As mentioned in a previous mail, the right quotes for German are
U201E and U201C, see e.g. http://www.unicode.org/book/ch06.pdf p152.
So now you have to guess why they are not used ;)

Please fix this transliteration issue so that at least German Debian
folks can take advantage of their best choice quotes without causing
trouble under ISO-8859-1(5) encodings.
Here is a revised patch against de_DE, it also adds transliteration to
ASCII.

Denis
[de_DE.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 235759@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 235759@bugs.debian.org, Michael Piefel <piefel@informatik.hu-berlin.de>, Jens Nachtigall <nachtigall@web.de>, barbier@linuxfr.org
Subject: Comentar on which replacement for German quotes
Date: Mon, 29 Mar 2004 02:47:42 +0200
Hi,

as a German native speaker with some interest on typography but 
virtually no knowledge on UTF-8 some comments:

The common quotes in German today are
  double open quotes (low position) U201E
together with
  double closed quote (high position) U201C

The current conversion
  ,,text"
looks strange because the opening quotes don't match the closing 
quotes.

French quotes are relatively uncommon in today's German.
If you use them, you also have to be aware that in Swiss German the 
French closed quotes are used as opening quotes and vice versa.

Intuitively, I'd have used the English quotes if German quotes are not
available.

I am a bit surprised that this discussion and all patches sent only
cover de_DE, although there are altogether three common de_ locales
plus two others the locales package supports.
If you fix this issue, it should be properly fixed for all de_ locales.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Adrian Bunk <bunk@fs.tum.de>
Cc: 235759@bugs.debian.org, Michael Piefel <piefel@informatik.hu-berlin.de>, Jens Nachtigall <nachtigall@web.de>
Subject: Re: Comentar on which replacement for German quotes
Date: Mon, 29 Mar 2004 23:02:11 +0200
On Mon, Mar 29, 2004 at 02:47:42AM +0200, Adrian Bunk wrote:
[...]
> I am a bit surprised that this discussion and all patches sent only
> cover de_DE, although there are altogether three common de_ locales
> plus two others the locales package supports.
> If you fix this issue, it should be properly fixed for all de_ locales.

All de_* locales include (either directly or indirectly) de_DE in their
LC_CTYPE section, so this change propagates to all de_* locales.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #79 received at 235759@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Denis Barbier <barbier@linuxfr.org>
Cc: 235759@bugs.debian.org, Michael Piefel <piefel@informatik.hu-berlin.de>, Jens Nachtigall <nachtigall@web.de>
Subject: Re: Comentar on which replacement for German quotes
Date: Wed, 31 Mar 2004 01:00:20 +0200
On Mon, Mar 29, 2004 at 11:02:11PM +0200, Denis Barbier wrote:
> On Mon, Mar 29, 2004 at 02:47:42AM +0200, Adrian Bunk wrote:
> [...]
> > I am a bit surprised that this discussion and all patches sent only
> > cover de_DE, although there are altogether three common de_ locales
> > plus two others the locales package supports.
> > If you fix this issue, it should be properly fixed for all de_ locales.
> 
> All de_* locales include (either directly or indirectly) de_DE in their
> LC_CTYPE section, so this change propagates to all de_* locales.

Thanks for the explanation.

This means only cases like the different quote in the Swiss locale need 
to be handled.

> Denis

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Adrian Bunk <bunk@fs.tum.de>
Cc: Denis Barbier <barbier@linuxfr.org>, 235759@bugs.debian.org, Michael Piefel <piefel@informatik.hu-berlin.de>, Jens Nachtigall <nachtigall@web.de>
Subject: Re: Comentar on which replacement for German quotes
Date: Thu, 1 Apr 2004 09:59:52 +0200
On Wed, Mar 31, 2004 at 01:00:20AM +0200, Adrian Bunk wrote:
> On Mon, Mar 29, 2004 at 11:02:11PM +0200, Denis Barbier wrote:
> > On Mon, Mar 29, 2004 at 02:47:42AM +0200, Adrian Bunk wrote:
> > [...]
> > > I am a bit surprised that this discussion and all patches sent only
> > > cover de_DE, although there are altogether three common de_ locales
> > > plus two others the locales package supports.
> > > If you fix this issue, it should be properly fixed for all de_ locales.
> > 
> > All de_* locales include (either directly or indirectly) de_DE in their
> > LC_CTYPE section, so this change propagates to all de_* locales.
> 
> Thanks for the explanation.
> 
> This means only cases like the different quote in the Swiss locale need 
> to be handled.

According to
  http://people.debian.org/~barbier/intl/l10n/po/
there is currently no package in Debian with de_CH messages.
As French quotes are quite common in German catalogs (e.g. they are used
in all GNOME packages), this means that de_CH users are currently seeing
lots of 'reversed' quotes.  And of course ,," transliteration ;)

I read your message as: "the proposed patch is an improvement for all
German speaking people, but may be even improved for de_CH folks", but
note that glibc maintainers seem reluctant to apply the requested
changes and may have a different reading of your message.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: 235759@bugs.debian.org
Cc: debian-l10n-german@lists.debian.org, <barbier@linuxfr.org>, 228486@bugs.debian.org
Subject: German Quotes -- resolution in sight?
Date: Fri, 2 Jul 2004 09:24:02 +0200
[Message part 1 (text/plain, inline)]
Hello,
there has not been any activity on this bug (and on my related bug
#228486) since march. I personally would really prefer to release
Sarge with correct german quotes. Is there any (behind the scenes)
progress on this issue? 


As far as I see, there are three possible options:
a) Use english quotes
b) Use ,, and " (pseudo german quotes)
c) Use french quotes as in » and «
d) Use U201E and U201C


Currently, KDE uses a), Debian b) and d), Gnome c).  I have not yet
heard anyone favoring b) over c) except the concern of Adrian that
Swiss people might be upset (because b) is reversed for them). 
Since, as Denis pointed out, no seperate Swiss translation effort has
been started, I wonder how "bad" those reverse quotes would be for
them. If anyone reading this has insight on this (either because of
being Swiss or knowing a Swiss persons opinion on this), this would be
greatly appreciated.



I would suggest:

c) if no UNICODE is available, else d)

unless this is unacceptable to Swiss readers. If this is so, then I
strongly opt for 

a) if no UNICODE is available, else d)

which, despite being english quotes, are still much better than pseudo german
quotes (the reasons for this have been extensivly discussed in both
bug reports).

Greetings

        Helge

-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
  gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Piefel <piefel@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #94 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Piefel <piefel@debian.org>
To: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Cc: 235759@bugs.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 228486@bugs.debian.org
Subject: Re: German Quotes -- resolution in sight?
Date: Fri, 02 Jul 2004 16:10:54 +0200
Am Fr, den 02.07.2004 schrieb Helge Kreutzmann um 9:24:
> As far as I see, there are three possible options:
> a) Use english quotes
> b) Use ,, and " (pseudo german quotes)
> c) Use french quotes as in » and «
> d) Use U201E and U201C
> [...]
> c) if no UNICODE is available, else d)

There is a non-automatic solution for this which I have just committed
to the APT CVS. It is simply as follows:
1. Add de.UTF-8 to LINGUAS.
2. maintain both de.po and de.UTF-8.po. They differ only in the quotes.

Since the change to libc seems unlikely (and most definitely not in time
for sarge unless it takes as long as I fear), this is my preferred way.

Bye,
	Mike 

-- 
|=| Michael Piefel
|=| Member of the Debian project



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 235759@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org
Cc: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 228486@bugs.debian.org
Subject: Re: Bug#235759: German Quotes -- resolution in sight?
Date: Sun, 04 Jul 2004 04:04:31 +0900
At Fri, 02 Jul 2004 16:10:54 +0200,
Michael Piefel wrote:
> Am Fr, den 02.07.2004 schrieb Helge Kreutzmann um 9:24:
> > As far as I see, there are three possible options:
> > a) Use english quotes
> > b) Use ,, and " (pseudo german quotes)
> > c) Use french quotes as in » and «
> > d) Use U201E and U201C
> > [...]
> > c) if no UNICODE is available, else d)
> 
> There is a non-automatic solution for this which I have just committed
> to the APT CVS. It is simply as follows:
> 1. Add de.UTF-8 to LINGUAS.
> 2. maintain both de.po and de.UTF-8.po. They differ only in the quotes.

You may know that this is not related problem with this bug.  Glibc
uses U201E and U201C, and transliteration rule automatically fall back
to ,, and ".

> Since the change to libc seems unlikely (and most definitely not in time
> for sarge unless it takes as long as I fear), this is my preferred way.

No, gettext automatically switches its output character coding system.


I think there're some different opinions for this bug.  This means
this bug is proposal, not common rule.  So at least I have no idea to
apply Denis' patch for a while.

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #104 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: GOTO Masanori <gotom@debian.or.jp>
Cc: Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, Helge Kreutzmann <kreutzm@itp.uni-hannover.de>, debian-l10n-german@lists.debian.org, 228486@bugs.debian.org
Subject: Re: Bug#235759: German Quotes -- resolution in sight?
Date: Sun, 4 Jul 2004 00:27:09 +0200
On Sun, Jul 04, 2004 at 04:04:31AM +0900, GOTO Masanori wrote:
> At Fri, 02 Jul 2004 16:10:54 +0200,
> Michael Piefel wrote:
> > Am Fr, den 02.07.2004 schrieb Helge Kreutzmann um 9:24:
> > > As far as I see, there are three possible options:
> > > a) Use english quotes
> > > b) Use ,, and " (pseudo german quotes)
> > > c) Use french quotes as in » and «
> > > d) Use U201E and U201C
> > > [...]
> > > c) if no UNICODE is available, else d)
> > 
> > There is a non-automatic solution for this which I have just committed
> > to the APT CVS. It is simply as follows:
> > 1. Add de.UTF-8 to LINGUAS.
> > 2. maintain both de.po and de.UTF-8.po. They differ only in the quotes.
> 
> You may know that this is not related problem with this bug.  Glibc
> uses U201E and U201C, and transliteration rule automatically fall back
> to ,, and ".
> 
> > Since the change to libc seems unlikely (and most definitely not in time
> > for sarge unless it takes as long as I fear), this is my preferred way.
> 
> No, gettext automatically switches its output character coding system.
> 
> I think there're some different opinions for this bug.

I strongly disagree, could you please give pointers so that we
understand why you are reluctant to apply these patches?

> This means this bug is proposal, not common rule.  So at least I have
> no idea to apply Denis' patch for a while.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #109 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: debian-l10n-german@lists.debian.org
Cc: GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, Helge Kreutzmann <kreutzm@itp.uni-hannover.de>, barbier@linuxfr.org, 228486@bugs.debian.org
Subject: Re: Bug#235759: German Quotes -- resolution in sight?
Date: Sun, 4 Jul 2004 13:09:12 +0200
> I think there're some different opinions for this bug.

Just to repeat it again and again: this is considered to be a very ugly bug by 
the German translation team. There is _absolute_ consensus that the patch 
should be applied. So far no native German speaker has spoken up against it. 
Could you please tell me what you mean by "different opinions"?

> This means 
> this bug is proposal, not common rule.  So at least I have no idea to
> apply Denis' patch for a while.
>
> Regards,
> -- gotom

Regards,
Jens



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Piefel <piefel@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #114 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Piefel <piefel@debian.org>
To: GOTO Masanori <gotom@debian.or.jp>, 235759@bugs.debian.org
Subject: Re: Bug#235759: German Quotes -- resolution in sight?
Date: Mon, 05 Jul 2004 12:55:58 +0200
Am Sa, den 03.07.2004 schrieb GOTO Masanori um 21:04:
> > There is a non-automatic solution for this which I have just committed
> > to the APT CVS. It is simply as follows:
> > 1. Add de.UTF-8 to LINGUAS.
> > 2. maintain both de.po and de.UTF-8.po. They differ only in the quotes.
> 
> You may know that this is not related problem with this bug.  Glibc
> uses U201E and U201C, and transliteration rule automatically fall back
> to ,, and ".

You err. It is directly related. Current glibc's transliteration is
unacceptable as it is ugly. (BTW, it's also one character longer, which
will break some carefully laid out screens.) I proposed a method to
circumvent glibc's transliteration by not letting any transliteration
happen. How is that “not related”?

Bye,
	Mike
-- 
|=| Michael Piefel
|=| Member of the Debian project



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #119 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Jens Nachtigall <nachtigall@web.de>
Cc: debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, barbier@linuxfr.org, 228486@bugs.debian.org
Subject: Re: Bug#235759: German Quotes -- resolution in sight?
Date: Tue, 27 Jul 2004 09:30:46 +0200
[Message part 1 (text/plain, inline)]
Hello,
On Sun, Jul 04, 2004 at 01:09:12PM +0200, Jens Nachtigall wrote:
> > I think there're some different opinions for this bug.
> 
> Just to repeat it again and again: this is considered to be a very ugly bug by 
> the German translation team. There is _absolute_ consensus that the patch 
> should be applied. So far no native German speaker has spoken up against it. 
> Could you please tell me what you mean by "different opinions"?

I get the impression that someone is strongly against changing the
current ugly behaviour, and wants to ship Sarge with such a broken
impression. I always read "different opinions", "no idea to apply" and
similar things, but never a *reason*(1). I get the impression, it is
along the lines "If you don't use unicode, then you are /&/()$§&" or maybe
some german related resistance? I don't know.

Gretings

         Helge

(1) If there are technical reasons, they can be (usually) solved. If
    there are "political" reasons, then they should be stated as such
    and discussed. If you don't have time, then maybe someone with
    enough knowledge (Denis?) can prepare a NMU for you.
-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
  gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #124 received at 235759@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, barbier@linuxfr.org, 228486@bugs.debian.org
Subject: Re: Bug#235759: German Quotes -- resolution in sight?
Date: Wed, 28 Jul 2004 08:50:53 +0900
At Tue, 27 Jul 2004 09:30:46 +0200,
Helge Kreutzmann wrote:
> I get the impression that someone is strongly against changing the
> current ugly behaviour, and wants to ship Sarge with such a broken
> impression. I always read "different opinions", "no idea to apply" and
> similar things, but never a *reason*(1). I get the impression, it is
> along the lines "If you don't use unicode, then you are /&/()$§&" or maybe
> some german related resistance? I don't know.
> 
> Gretings
> 
>          Helge
> 
> (1) If there are technical reasons, they can be (usually) solved. If
>     there are "political" reasons, then they should be stated as such
>     and discussed. If you don't have time, then maybe someone with
>     enough knowledge (Denis?) can prepare a NMU for you.

I strongly disagree with your NMU.  Please discuss with the upstream
before applying patch.  See:

	http://sources.redhat.com/bugzilla/show_bug.cgi?id=56

Regards,
-- gotom




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #129 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: GOTO Masanori <gotom@debian.or.jp>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: Bug#235759: German Quotes -- resolution in sight?
Date: Wed, 28 Jul 2004 08:33:56 +0200
On Wed, Jul 28, 2004 at 08:50:53AM +0900, GOTO Masanori wrote:
> At Tue, 27 Jul 2004 09:30:46 +0200,
> Helge Kreutzmann wrote:
> > I get the impression that someone is strongly against changing the
> > current ugly behaviour, and wants to ship Sarge with such a broken
> > impression. I always read "different opinions", "no idea to apply" and
> > similar things, but never a *reason*(1). I get the impression, it is
> > along the lines "If you don't use unicode, then you are /&/()$§&" or maybe
> > some german related resistance? I don't know.
> > 
> > Gretings
> > 
> >          Helge
> > 
> > (1) If there are technical reasons, they can be (usually) solved. If
> >     there are "political" reasons, then they should be stated as such
> >     and discussed. If you don't have time, then maybe someone with
> >     enough knowledge (Denis?) can prepare a NMU for you.
> 
> I strongly disagree with your NMU.  Please discuss with the upstream
> before applying patch.  See:
> 
> 	http://sources.redhat.com/bugzilla/show_bug.cgi?id=56

You know that despite Petter's efforts, locales bugs take a very long
time to be processed (if they are), which is why there are many
debian/patches/locale-*.dpatch around.
If there was a single argument against this fix, I could understand your
point of view, but there is none.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #134 received at 235759@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: More info about #228486 / #235759
Date: Wed, 28 Jul 2004 13:36:08 +0200
[I'm not subscribed to -l10n-german]

Hello,

I've read up the bugs discussion and I'm surprised about the proposed
solution. First, let's recapitulate the drawbacks of each proposal:

a) Use english doublequotes
   - the opening quote sign should be subscripted
   - opening/closing are identical, this makes nested quotes hard to read

b) Use guillemots
   - guillemots are very unusual in Germany (In printing I remember
     only a few occurences in ~1900 vintage books, and none in
     contemporary literature)
   - The usual de-latin1-nodeadkeys keyboard layout hasn't even a
     definition for quillemots, it can only be typed in via
     AltGr+<Codepoint>. The X11 keyboard has a common definition for
     all latin charsets (M-y, M-x), but this isn't marked on the
     keyboard, so most people don't know how to type guillemots (and
     they don't have to).
   - guillemots are already in use in swiss german, but with _swapped_
     semantics. This will make a confusing reading for swiss people.

c) Emulate german quotes as in ,,Foo"
   - uses up two characters instead of one for the opening quote
   - opening/closing has inconsistent shape with many fonts
   - The colon is already in use with different semantics, this is
     confusing for the reader

Starting from this, b) is probably the worst solution. I'm pretty sure
many people won't even recognize a guillemot as a quoting sign without
having more context. c) is better WRT, but the reader will stumble over
each opening quote.

So a) is IMHO the best. Granted, it doesn't do the subscript as in c),
but it gets the shape right, and the shape of a character is more
important than the position for easy reading. The nested quotes problem
can probably be neglected, as nesting of quotes is rather uncommon.

The last drawback for any change is that it will AFAICS be a long-term
deviation from upstream glibc. I believe upstream had already made the
decision to stay with c) until utf-8 is found everywhere.


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #139 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: debian-l10n-german@lists.debian.org
Cc: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Wed, 28 Jul 2004 20:16:24 +0200
> a) Use english doublequotes
>    - the opening quote sign should be subscripted
>    - opening/closing are identical, this makes nested quotes hard to
> read
>
> b) Use guillemots
>    - guillemots are very unusual in Germany (In printing I remember
>      only a few occurences in ~1900 vintage books, and none in
>      contemporary literature)

That is by no means right. I don't know what kind of books you read, but 
if I take a random look at my library, I get these books with »« :
* »Die Hebammen-Sprechstunde« (book about getting children) -> 2002
* »Perspektivenübernahme und soziales Handeln« (social studies) -> 1982
* »Die Lust am Schauen« (social studies) -> 1986
* »Zope« (computer science) -> 2004

There are also some books with U201E and U201C, however, these are the 
minority.

Regardless from personal impressions of what's the most often used case, 
Duden (the German authority for orthography) recognizes both as valid. 
You can read it up on page 69, section »Richtlinien für den 
Schriftsatz« (guidlines for the typeset), I quote:
<quote>
Anführungszeichen

Im deutschen Schriftsatz werden vornehmlich die Anführungszeichen „...“ 
und »...« angewendet.
„Ja“, sagte er.
Sie rief: »Ich komme!«

Die französische Form «...» ist im Deutschen weniger gebräuchlich; in 
der Schweiz hat sie sich für die Antiquasatz eingebürgert.
</quote> 

<Translated quote>
Quotation marks

In German typeset the quotation marks „...“ and »...« are most often 
used.
„Yes“, he said.
She shouted: »I'm coming!«

The French form «...» is less often used in German; in Switzerland this 
form is common for the Antiqua typeset.
</Translated quote>

>    - The usual de-latin1-nodeadkeys keyboard layout hasn't even a
>      definition for quillemots, it can only be typed in via
>      AltGr+<Codepoint>. The X11 keyboard has a common definition for
>      all latin charsets (M-y, M-x), but this isn't marked on the
>      keyboard, so most people don't know how to type guillemots (and
>      they don't have to).

True. That is why most people use the english quotation marks "..." 
instead of U201E and U201C or »...« (like KDE or the German wikipedia). 
However, if people know about how to type »...« then they use it 
(GNOME, also many books). N.B. they use "..." istead of ,,..."

I've never ever seen anybody using ,,...", because »...« or U201E and 
U201C is not available.

>    - guillemots are already in use in swiss german, but with
> _swapped_ semantics. This will make a confusing reading for swiss
> people.

True. That is why Helge suggested to replace U201E and U201C by " and " 
until there is a Swiss locale. Nobody would ever replace U201E and 
U201C with ,, und ". I have never ever seen anybody writing ,, and ". 
"..." is probably the best solution, since it is also used most often 
on the web (email, German wikipedia, KDE etc.)

> c) Emulate german quotes as in ,,Foo"
>    - uses up two characters instead of one for the opening quote
>    - opening/closing has inconsistent shape with many fonts
>    - The colon is already in use with different semantics, this is
>      confusing for the reader
>
> Starting from this, b) is probably the worst solution. I'm pretty
> sure many people won't even recognize a guillemot as a quoting sign
> without having more context. c) is better WRT, but the reader will 
> stumble over each opening quote.

> So a) is IMHO the best.

This would be a consense until there is no special Swiss translation.

The big problem is that ,, and " is the something absolutely never being 
used. If U201E and U201C is not available, people use »...« or "...". 
Nobody would ever think of replacing U201E and U201C with ,, and ". Do 
you agree (I only ask to let gotom here your opinion on this)?

> The last drawback for any change is that it will AFAICS be a
> long-term deviation from upstream glibc. I believe upstream had
> already made the decision to stay with c) until utf-8 is found
> everywhere.

you "believe"? Can you give any pointers? I think, upstream will also 
change this as soon as someone knowing the German language and its 
habits will have a look at it.

Best regards,
Jens



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Tobias Toedter <t.toedter@gmx.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #144 received at 235759@bugs.debian.org (full text, mbox):

From: Tobias Toedter <t.toedter@gmx.net>
To: debian-l10n-german@lists.debian.org
Cc: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Wed, 28 Jul 2004 21:18:35 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Wednesday 28 July 2004 20:16, Jens Nachtigall wrote:
> > b) Use guillemots
> >    - guillemots are very unusual in Germany (In printing I remember
> >      only a few occurences in ~1900 vintage books, and none in
> >      contemporary literature)
>
> That is by no means right. I don't know what kind of books you read, but
> if I take a random look at my library, I get these books with »« :
> * »Die Hebammen-Sprechstunde« (book about getting children) -> 2002
> * »Perspektivenübernahme und soziales Handeln« (social studies) -> 1982
> * »Die Lust am Schauen« (social studies) -> 1986
> * »Zope« (computer science) -> 2004
>
> There are also some books with U201E and U201C, however, these are the
> minority.

Just to support Jens' statements, I had a quick look into my library, too:
- - Computer related books: 3 using »«, 1 using U201E and U201C
- - Some novels: 5 using »«, 1 using U201E and U201C

(I can list the exact titles, in case anyone wants to know ...)

> Regardless from personal impressions of what's the most often used case,
> Duden (the German authority for orthography) recognizes both as valid.

Absolutely right. Both are valid, and I got the impression that the 
guillemots are even more common - at least in books; magazines might be 
different. I didn't look into those.

Cheers,

- -- 

Tobias

    AMAZING BUT TRUE...
      If you took all the veins from your body and laid them together
      end to end, you'd die.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBB/wQCqqEJ0Fs8twRAnBLAJ9KhQIim4LJUshFbvxQbYMBAcGmnwCfW3Kz
knaOZqC1Jrk3YGixRy+WUPY=
=w1GG
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #149 received at 235759@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Jens Nachtigall <nachtigall@web.de>
Cc: debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Wed, 28 Jul 2004 21:46:40 +0200
Jens Nachtigall wrote:
> > a) Use english doublequotes
> >    - the opening quote sign should be subscripted
> >    - opening/closing are identical, this makes nested quotes hard to
> > read
> >
> > b) Use guillemots
> >    - guillemots are very unusual in Germany (In printing I remember
> >      only a few occurences in ~1900 vintage books, and none in
> >      contemporary literature)
> 
> That is by no means right. I don't know what kind of books you read, but 
> if I take a random look at my library, I get these books with »« :
> * »Die Hebammen-Sprechstunde« (book about getting children) -> 2002
> * »Perspektivenübernahme und soziales Handeln« (social studies) -> 1982
> * »Die Lust am Schauen« (social studies) -> 1986
> * »Zope« (computer science) -> 2004
> 
> There are also some books with U201E and U201C, however, these are the 
> minority.

Well, as said, my impression is a different one, especially WRT periodic
publications.

> Regardless from personal impressions of what's the most often used case, 
> Duden (the German authority for orthography) recognizes both as valid. 

Agreed.

[snip]
> > So a) is IMHO the best.
> 
> This would be a consense until there is no special Swiss translation.

I have to raise another point:
If guillemots are actually in such wide use, we should IMHO avoid to map
german quotes to guillemots. They may be used in different contexts at
the same time, or for nested quotes.

> The big problem is that ,, and " is the something absolutely never being 
> used. If U201E and U201C is not available, people use »...« or "...". 
> Nobody would ever think of replacing U201E and U201C with ,, and ". Do 
> you agree (I only ask to let gotom here your opinion on this)?

Well, I, personally, use "...", and I think it's the most legible style.
The human eye/brain does pattern matching, so the correct shape is more
important than orientation ('ä' vs. 'a:' works surprisingly well),
which in turn is more important than the position (subscript vs.
superscript).

> > The last drawback for any change is that it will AFAICS be a
> > long-term deviation from upstream glibc. I believe upstream had
> > already made the decision to stay with c) until utf-8 is found
> > everywhere.
> 
> you "believe"? Can you give any pointers? I think, upstream will also 
> change this as soon as someone knowing the German language and its 
> habits will have a look at it.

The upstream lead developer is german, he wrote the original
transliteration, and he's well known to have strong opinions.
I think it is unlikely that he will change his mind.


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #154 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Thu, 29 Jul 2004 09:10:34 +0200
[Message part 1 (text/plain, inline)]
Hello,
On Wed, Jul 28, 2004 at 01:36:08PM +0200, Thiemo Seufer wrote:
> a) Use english doublequotes
>    - the opening quote sign should be subscripted
>    - opening/closing are identical, this makes nested quotes hard to read

The first is IMHO a "pleasant to read" (e.g., in Newspapers) and as
you stated the second one is seldom.

> b) Use guillemots
>    - guillemots are very unusual in Germany (In printing I remember
>      only a few occurences in ~1900 vintage books, and none in
>      contemporary literature)

This has already been discussed. And one of the large desktop
environments has already decided to use »« as well.

>    - The usual de-latin1-nodeadkeys keyboard layout hasn't even a
>      definition for quillemots, it can only be typed in via
>      AltGr+<Codepoint>. The X11 keyboard has a common definition for
>      all latin charsets (M-y, M-x), but this isn't marked on the
>      keyboard, so most people don't know how to type guillemots (and
>      they don't have to).

Well, to be honest, for many people using the quote signs is not a
daily task, if they need, they use a Type Setting Environment (e.g.,
LaTeX, OpenOffice.org etc.) which brings in its own facility for
typsetting those characters. We are mainly taking about low level
interaction done by glibc, and this is usually output only. (As I
understand, it is not possible to use local quotes for quoting e.g.
patterns from shell expansion, hence there " remains its meaning, even
if german local is in use, but please correct me if I am wrong.)

>    - guillemots are already in use in swiss german, but with _swapped_
>      semantics. This will make a confusing reading for swiss people.

Unfortunately there has not been a Swiss person stating the impact of
this proposed change, although, e.g., on the Debian Web Pages
guillemots are already used quite a while.

IMHO c) is the worst, so replacing it by a) is fine with me.

Greetings

           Helge

-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
  gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #159 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Thu, 29 Jul 2004 09:51:46 +0200
On Wed, Jul 28, 2004 at 09:46:40PM +0200, Thiemo Seufer wrote:
> Jens Nachtigall wrote:
> > > a) Use english doublequotes
> > >    - the opening quote sign should be subscripted
> > >    - opening/closing are identical, this makes nested quotes hard to
> > > read
> > >
> > > b) Use guillemots
> > >    - guillemots are very unusual in Germany (In printing I remember
> > >      only a few occurences in ~1900 vintage books, and none in
> > >      contemporary literature)
> > 
> > That is by no means right. I don't know what kind of books you read, but 
> > if I take a random look at my library, I get these books with »« :
> > * »Die Hebammen-Sprechstunde« (book about getting children) -> 2002
> > * »Perspektivenübernahme und soziales Handeln« (social studies) -> 1982
> > * »Die Lust am Schauen« (social studies) -> 1986
> > * »Zope« (computer science) -> 2004
> > 
> > There are also some books with U201E and U201C, however, these are the 
> > minority.
> 
> Well, as said, my impression is a different one, especially WRT periodic
> publications.

I am not a German native speaker and have thus no opinion, but I was
quite surprised to read that guillemots are uncommon in German, since
most GNU and GNOME translated applications use them.  OTOH KDE uses
English quotes, and there is no occurence of ,," in German localized
catalogs, so your conclusion that (b) is worse than (c) cannot be true.

Let's review other points in your previous post:
]  - The usual de-latin1-nodeadkeys keyboard layout hasn't even a
]    definition for quillemots, it can only be typed in via
]    AltGr+<Codepoint>. The X11 keyboard has a common definition for
]    all latin charsets (M-y, M-x), but this isn't marked on the
]    keyboard, so most people don't know how to type guillemots (and
]    they don't have to).

This is irrelevant, this issue is about transliteration, not how text
should be typed.
And even if it was relevant, the same argument works for Unicode quotes
and for French keyboards (some people also argue that guillemots and
accents on uppercase letters are not valid in French because our
keyboards have no such symbols, but those people are usually not very
fond of l10n -- no offense in mind)

]  - guillemots are already in use in swiss german, but with _swapped_
]    semantics. This will make a confusing reading for swiss people.

Writing a different transliteration for de_CH is trivial, I do not want
to waste my time doing this unless it has a chance to get in.
Note also that de_CH folks already have to parse many guillemots in GNU
and GNOME applications, so they should not be that confused by this
transliteration.

] The last drawback for any change is that it will AFAICS be a long-term
] deviation from upstream glibc. I believe upstream had already made the
] decision to stay with c) until utf-8 is found everywhere.

Why is a deviation a problem *in this particular case*?

[Back to your current post]
> > Regardless from personal impressions of what's the most often used case, 
> > Duden (the German authority for orthography) recognizes both as valid. 
> 
> Agreed.

Huh?

> [snip]
> > > So a) is IMHO the best.
> > 
> > This would be a consense until there is no special Swiss translation.
> 
> I have to raise another point:
> If guillemots are actually in such wide use, we should IMHO avoid to map
> german quotes to guillemots. They may be used in different contexts at
> the same time, or for nested quotes.

In your previous post you asserted that guillemots are uncommon and will
confuse readers, and now you tell that if they are common, they should
not be used.  What about English quotes?  They are the best choice
because they are quite common and thus will not confuse readers, and
will not interfere with other English quotes since they are seldom used?

> > The big problem is that ,, and " is the something absolutely never being 
> > used. If U201E and U201C is not available, people use »...« or "...". 
> > Nobody would ever think of replacing U201E and U201C with ,, and ". Do 
> > you agree (I only ask to let gotom here your opinion on this)?
> 
> Well, I, personally, use "...", and I think it's the most legible style.
> The human eye/brain does pattern matching, so the correct shape is more
> important than orientation ('ä' vs. 'a:' works surprisingly well),
> which in turn is more important than the position (subscript vs.
> superscript).

It is not clear to me whether you want to have German translators use
English quotes or want to have U201E/U201C transliterated into these
symbols.

In the latter case, this has been discussed on debian-l10n-german, and
they chose guillemots.  My concern is to push what German translators
decided, I do not care whether this is in favor of English quotes or
guillemots.

> > > The last drawback for any change is that it will AFAICS be a
> > > long-term deviation from upstream glibc. I believe upstream had
> > > already made the decision to stay with c) until utf-8 is found
> > > everywhere.
> > 
> > you "believe"? Can you give any pointers? I think, upstream will also 
> > change this as soon as someone knowing the German language and its 
> > habits will have a look at it.
> 
> The upstream lead developer is german, he wrote the original
> transliteration,

No, he gets it from some specs (I do not remember exactly, maybe in
Unicode) which give transliteration for some symbols.  But these rules
are given in general case, and are superseded by national rules when
they are defined.

> and he's well known to have strong opinions.  I think it is unlikely
> that he will change his mind.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #164 received at 235759@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Thu, 29 Jul 2004 12:00:26 +0200
[Message part 1 (text/plain, inline)]
Helge Kreutzmann wrote:
[snip]
> >    - The usual de-latin1-nodeadkeys keyboard layout hasn't even a
> >      definition for quillemots, it can only be typed in via
> >      AltGr+<Codepoint>. The X11 keyboard has a common definition for
> >      all latin charsets (M-y, M-x), but this isn't marked on the
> >      keyboard, so most people don't know how to type guillemots (and
> >      they don't have to).
> 
> Well, to be honest, for many people using the quote signs is not a
> daily task, if they need, they use a Type Setting Environment (e.g.,
> LaTeX, OpenOffice.org etc.) which brings in its own facility for
> typsetting those characters.

The point is, if people without knowledge of typography need a quote
sign, they'll most likely choose german quotes in handwriting, and the
most similiar to that on the computer. Which are the english quotes.
Which means we follow the least surprise principle for those people
when we use english quotes for output as well.


Thiemo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #169 received at 235759@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Denis Barbier <barbier@linuxfr.org>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Thu, 29 Jul 2004 13:17:13 +0200
Denis Barbier wrote:
[snip]
> I am not a German native speaker and have thus no opinion, but I was
> quite surprised to read that guillemots are uncommon in German, since
> most GNU and GNOME translated applications use them.

At least WRT everyday use I maintain that point. For typesetting, my
opinion seems to be a minority one.

> OTOH KDE uses
> English quotes, and there is no occurence of ,," in German localized
> catalogs, so your conclusion that (b) is worse than (c) cannot be true.

b) maps quote signs to guillemots, with a different shape than the
author had in mind, potentially losing information on that way.

c) tries to emulate the correct shape (but fails, IMHO).

That's why I wrote "probably worse", as it is a matter of opinion.

> Let's review other points in your previous post:
> ]  - The usual de-latin1-nodeadkeys keyboard layout hasn't even a
> ]    definition for quillemots, it can only be typed in via
> ]    AltGr+<Codepoint>. The X11 keyboard has a common definition for
> ]    all latin charsets (M-y, M-x), but this isn't marked on the
> ]    keyboard, so most people don't know how to type guillemots (and
> ]    they don't have to).
> 
> This is irrelevant, this issue is about transliteration, not how text
> should be typed.

It shows how important guillemots are in everydays typing. And IMHO
everydays reading should use the same characters.

> And even if it was relevant, the same argument works for Unicode quotes
> and for French keyboards (some people also argue that guillemots and
> accents on uppercase letters are not valid in French because our
> keyboards have no such symbols, but those people are usually not very
> fond of l10n -- no offense in mind)

If possible, we should optimize for the average people. Well, not
necessarily for the 5 percentile. :-)

[snip]
> ] The last drawback for any change is that it will AFAICS be a long-term
> ] deviation from upstream glibc. I believe upstream had already made the
> ] decision to stay with c) until utf-8 is found everywhere.
> 
> Why is a deviation a problem *in this particular case*?

It is a (small) maintenance overhead for the glibc maintainers.

> [Back to your current post]
> > > Regardless from personal impressions of what's the most often used case, 
> > > Duden (the German authority for orthography) recognizes both as valid. 
> > 
> > Agreed.
> 
> Huh?

The standard allows both. That doesn't make the alternatives equivalent.

> > [snip]
> > > > So a) is IMHO the best.
> > > 
> > > This would be a consense until there is no special Swiss translation.
> > 
> > I have to raise another point:
> > If guillemots are actually in such wide use, we should IMHO avoid to map
> > german quotes to guillemots. They may be used in different contexts at
> > the same time, or for nested quotes.
> 
> In your previous post you asserted that guillemots are uncommon and will
> confuse readers, and now you tell that if they are common, they should
> not be used.

If an author uses german quotes and guillemots for e.g. two speakers of
a dialog, the mapping will lose that information.

> What about English quotes?  They are the best choice
> because they are quite common and thus will not confuse readers, and
> will not interfere with other English quotes since they are seldom used?

Generally, there are two strategies to find a good replacement for an
original: Either choose something that is very close, or, if there is
no sufficiently similiar alternative, choose something that is obviously
different and unused otherwise. The middle ground leads to confusion.

I think english quotes are close enough to be a good choice.

> > > The big problem is that ,, and " is the something absolutely never being 
> > > used. If U201E and U201C is not available, people use »...« or "...". 
> > > Nobody would ever think of replacing U201E and U201C with ,, and ". Do 
> > > you agree (I only ask to let gotom here your opinion on this)?
> > 
> > Well, I, personally, use "...", and I think it's the most legible style.
> > The human eye/brain does pattern matching, so the correct shape is more
> > important than orientation ('ä' vs. 'a:' works surprisingly well),
> > which in turn is more important than the position (subscript vs.
> > superscript).
> 
> It is not clear to me whether you want to have German translators use
> English quotes or want to have U201E/U201C transliterated into these
> symbols.

I would say, english quotes in non-unicode text, and transliteration
from german quotes to english quotes for unicode text on non-Unicode
output.


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@ist.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #174 received at 235759@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@ist.org>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Thu, 29 Jul 2004 15:32:50 +0200
[Message part 1 (text/plain, inline)]
* Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de> [2004-07-28 13:36]:
> b) Use guillemots
>    - guillemots are very unusual in Germany (In printing I remember
>      only a few occurences in ~1900 vintage books, and none in
>      contemporary literature)

 No, they are not. They are more and more common. To add some things to
the publications other have mentioned already I can name the
Linux-Magazin, and various literature (Holbein, e.g.).

>    - The usual de-latin1-nodeadkeys keyboard layout hasn't even a
>      definition for quillemots, it can only be typed in via
>      AltGr+<Codepoint>. The X11 keyboard has a common definition for
>      all latin charsets (M-y, M-x), but this isn't marked on the
>      keyboard, so most people don't know how to type guillemots (and
>      they don't have to).

 Yes, they don't have to. And about the former: A bugreport has been
filed, #228968 -- it seems to have not made it into the file in contrary
to the close message. Will have to investigate that again.

>    - guillemots are already in use in swiss german, but with _swapped_
>      semantics. This will make a confusing reading for swiss people.

 That is a completely different topic. They are using it coming from
french quotings, because part of the swiss is french. It is though much
more confising using the ,," style quotes for all the people involved.

> Starting from this, b) is probably the worst solution. I'm pretty sure
> many people won't even recognize a guillemot as a quoting sign without
> having more context.

 I definitely like to disagree, and you seem to be the first person who
thinks like this. All the discussions before haven't raised any concerns
in that respect.

 So long,
Alfie
-- 
14:04 <groby> ?? was geht?
14:07 -!- groby [~nima@193.155.103.144] has left #debian.de [groby]
14:07 <Scorpi> groby: groby
                                  -- #debian.de
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@mathom.us>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #179 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@mathom.us>
To: "Thiemo Seufer" <ica2_ts@csv.ica.uni-stuttgart.de>, <228486@bugs.debian.org>, "Denis Barbier" <barbier@linuxfr.org>
Cc: "Jens Nachtigall" <nachtigall@web.de>, <debian-l10n-german@lists.debian.org>, "GOTO Masanori" <gotom@debian.or.jp>, "Michael Piefel" <piefel@debian.org>, <235759@bugs.debian.org>, <228486@bugs.debian.org>
Subject: Re: Bug#228486: More info about #228486 / #235759
Date: Thu, 29 Jul 2004 12:13 -0400
On Thu, 29 Jul 2004 13:17:13 +0200 "Thiemo Seufer" 
<ica2_ts@csv.ica.uni-stuttgart.de> wrote:
>It shows how important guillemots are in everydays typing. And IMHO
>everydays reading should use the same characters.

I think this argument is somewhat a red herring. I see a lot of people in 
this thread calling " an english quote; this is incorrect--a proper set of 
quotes in english is curved one way at the start of the quote and another 
way at the end. In fact, many word processing programs will insert the 
proper opening or closing quote when you type the " or ' key on the 
keyboard. I imagine that german word processors can (and do) operate the 
same way.

What's the point of all this? First, the symbol on the keyboard does not 
necessarily correspond with the character the user wants to use. Second, 
the absence of a character on a keyboard does not indicate that it is 
unimportant. Third, ASCII discriminates against proper english typographic 
quotes as much as german.  Finally, english translations also contain an 
ugly and stupid looking conversion of quotes using punctuation characters 
that have their own seperate meaning. It would be nice if everything used 
proper quotes, but stupid-looking quotes aren't the end of the 
world--english speaking users have been living with it for years.

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #184 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Fri, 30 Jul 2004 00:30:09 +0200
On Thu, Jul 29, 2004 at 01:17:13PM +0200, Thiemo Seufer wrote:
[...]
> > It is not clear to me whether you want to have German translators use
> > English quotes or want to have U201E/U201C transliterated into these
> > symbols.
> 
> I would say, english quotes in non-unicode text, and transliteration
> from german quotes to english quotes for unicode text on non-Unicode
> output.

Thanks for clarifying, but many arguments you invoke against guillemots
are also against this scheme (German keyboards have no German quotes,
transliteration to English quotes can be confusing with nested quotes,
etc), so your only concern seems to prevent the use of guillemots; this
attitude has been well described by Manoj in
  http://lists.debian.org/debian-devel/2004/06/msg01139.html
If you want to be constructive, you could acknowledge the fact that this
issue has already been discussed on debian-l10n-german, support
transliteration to guillemots, and discuss again on debian-l10n-german
so that transliteration can be changed to English quotes in sarge+1 if
you manage to convince people on debian-l10n-german.
This is how our French team works, and sometimes I have to support
choices I dislike because there was a consensus.

Due to the base freeze, a compromise has to be found now, or German
quotes will be rendered as ,," on non-Unicode terminals.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #189 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: debian-l10n-german@lists.debian.org
Cc: Michael Stone <mstone@mathom.us>, "Thiemo Seufer" <ica2_ts@csv.ica.uni-stuttgart.de>, <228486@bugs.debian.org>, "Denis Barbier" <barbier@linuxfr.org>, "GOTO Masanori" <gotom@debian.or.jp>, "Michael Piefel" <piefel@debian.org>, <235759@bugs.debian.org>
Subject: Re: Bug#228486: More info about #228486 / #235759
Date: Sat, 31 Jul 2004 16:43:29 +0200
[...]

> What's the point of all this? First, the symbol on the keyboard does
> not necessarily correspond with the character the user wants to use.
> Second, the absence of a character on a keyboard does not indicate
> that it is unimportant. Third, ASCII discriminates against proper
> english typographic quotes as much as german.  Finally, english
> translations also contain an ugly and stupid looking conversion of
> quotes using punctuation characters that have their own seperate
> meaning. It would be nice if everything used proper quotes, but
> stupid-looking quotes aren't the end of the world--english speaking
> users have been living with it for years.

That is not a valid argument. According to you the english 
tranliterations are bad and the users got used to it. We are now in the 
situation where more and more translators take advantage of UTF-8. 
According to you we should follow down that path of bad 
transliterations instead of correcting it from the beginning.

BTW: The bug is marked minor.

Regards,
Jens




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #194 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: debian-l10n-german@lists.debian.org
Cc: barbier@linuxfr.org (Denis Barbier), Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, GOTO Masanori <gotom@debian.or.jp>, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Sat, 31 Jul 2004 21:30:04 +0200
[...]
> My concern is to push what German
> translators decided, I do not care whether this is in favor of
> English quotes or guillemots.

I'd like to add, that the decision taken by the German tranlation team 
is a pure consensus. It is not based on a majority vote. I've hardly 
seen any "discussion" that has been that clear. And moreover we are the 
ones being affected by that transliteration.


> > The upstream lead developer is german, he wrote the original
> > transliteration,
>
> No, he gets it from some specs (I do not remember exactly, maybe in
> Unicode) which give transliteration for some symbols.  But these
> rules are given in general case, and are superseded by national rules
> when they are defined.

As stated before [1], one source might be 
http://www.w3.org/TR/2004/CR-CSS21-20040225/generate.html
As was said before [1], it is a general case rule.


Jens

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759&msg=24




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #199 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: More info about #228486 / #235759
Date: Sat, 7 Aug 2004 16:14:47 +0200
[Message part 1 (text/plain, inline)]
Hello,
On Wed, Jul 28, 2004 at 09:46:40PM +0200, Thiemo Seufer wrote:
> I have to raise another point:
> If guillemots are actually in such wide use, we should IMHO avoid to map
> german quotes to guillemots. They may be used in different contexts at
> the same time, or for nested quotes.

I just did a little digging[1]. Whenever I searched for nested quotes,
there was the rule (in english, french, german, ..) to use the *same*
style of quotes, but in the single variant, i.e.

" -> '
» -> >

and the same for the closing version. Do you have any evidence, that
some publication, person, organization mixes the quoting styles
instead of using this common rule?

Greetings

          Helge

[1] Duden, Rules for stylsheets, ...

-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
  gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #204 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Jens Nachtigall <nachtigall@web.de>
Cc: debian-l10n-german@lists.debian.org, Michael Stone <mstone@mathom.us>, "Thiemo Seufer" <ica2_ts@csv.ica.uni-stuttgart.de>, <228486@bugs.debian.org>, "Denis Barbier" <barbier@linuxfr.org>, "GOTO Masanori" <gotom@debian.or.jp>, "Michael Piefel" <piefel@debian.org>, <235759@bugs.debian.org>
Subject: Re: Bug#228486: More info about #228486 / #235759
Date: Sat, 7 Aug 2004 16:24:05 +0200
[Message part 1 (text/plain, inline)]
Hello,
On Sat, Jul 31, 2004 at 04:43:29PM +0200, Jens Nachtigall wrote:

> BTW: The bug is marked minor.

But still I think all german translators would like to see it fixed
for sarge. Since the reversed french quotes are seemingly a no-op, can
we at least switch to the minute (") sign, and tell people to switch
to unicode instead of starting a quote with a double comma? 

Greetings

             Helge

-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
  gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #209 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: debian-release@lists.debian.org
Cc: debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>
Subject: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 12:26:28 +0200
[Message part 1 (text/plain, inline)]
Hello,
the release notes need to contain a note to users using the german
locale along the lines:

The Debian Project apologies for the unfortunate german quoting on the
command line interface. A solution is worked on, but unfortunately
hasn't made it into Sarge. As a workaround, switching to a UTF-8 based
locale will avoid the problem.


Rational:
The current quoting for german locales (german, swiss, austrian, ...)
tries to mimic proper german quoting (if  UTF-8 is not present) and
fails miserably:

Opening quotes: ,,
Closing quotes: "

The opening quotes use 2 characters, are visually clearly different
from the closing quotes and users are confused because they read the
opening quotes as "two commas" and not "opening quote". Consider

helge@sixtyfor:/scratch/incoming/MO/jan02$ /bin/mv -iv bla ~
,,bla" -> ,,/home/helge/bla"
,,bla" entfernt

Bugs have been filled on this issue quite a while back ([1], [2]). The
entire list [3] has expressed that the this behaviour is highly
undesirable. Essentially two solutions have been proposed, and
intensivly discussed[4]:

A) Using the same quotes as in english, i.e., ""
B) Using inversed french quotes »«

The vast majority (c.f. the thread starting at [4]) believes that either
solution is much better than the current state. However, the
glibc-maintainers expressed concernes about diverging from upstream
and pointed out that the bugs where minor and (implicitly) should be
fixed at some later stage.

Hence the appology is needed, since -- given Debians history -- users of
stable employing a german locale will experience the (unambiguously
perceived as ugly) quotes for the years to come.

The (almost) complete discussion is archived both in various threads
on debian-l10n-german and in the bug reports [1] and [2].

Please CC: me as I am not subscribed to debian-release.

Greetings

          Helge


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486
[2} http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759
[3] http://lists.debian.org/debian-l10n-german/2004/07/msg00172.html
[4] http://lists.debian.org/debian-l10n-german/2004/07/msg00149.html
-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
  gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #214 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Cc: debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>
Subject: Re: Apology to german users required in the release notes
Date: 31 Aug 2004 03:47:19 -0700
Helge Kreutzmann <kreutzm@itp.uni-hannover.de> writes:

> The Debian Project apologies for the unfortunate german quoting on the
> command line interface. A solution is worked on, but unfortunately
> hasn't made it into Sarge. As a workaround, switching to a UTF-8 based
> locale will avoid the problem.

Um, why not simply say that UTF-8 is required for the German locale?
It's hardly a workaround--it seems to me that we should encourage
UTF-8 wherever we can.  So we do support German, we even support it
correctly, with correct quoting, and the way to get it is to turn on
the UTF-8 based locale.

Surely there are even better things that we could do, but we don't
need to apologize just because it isn't done as well as possible.  It
would be nice to have a Latin-1 based version, but we don't.  We do,
however, have a UTF-8 one, and UTF-8 is generally better anyhow.
Using commas for open-quote is crazy--I totally agree--but we can
simply tell users not to use that locale, right?

> The vast majority (c.f. the thread starting at [4]) believes that either
> solution is much better than the current state. However, the
> glibc-maintainers expressed concernes about diverging from upstream
> and pointed out that the bugs where minor and (implicitly) should be
> fixed at some later stage.

As it happens, upstream is German (unless Ulrich has moved on to other
things).  What does he say about it?

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #219 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 06:59:46 -0400
On Tue, Aug 31, 2004 at 12:26:28PM +0200, you wrote:
>A) Using the same quotes as in english, i.e., ""

Once again, the english quotes are also stupid:
> mv -iv foo bar
`foo' -> `bar'

It is not clear why german users are the only ones who need an "apology"
because they get stupid-looking quotes. English-speaking users have been
living with the problem for years.

>Hence the appology is needed, since -- given Debians history -- users of
>stable employing a german locale will experience the (unambiguously
>perceived as ugly) quotes for the years to come.

Just like people employing an english locale! 

Mike Stone




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@ist.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #224 received at 235759@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@ist.org>
To: Michael Stone <mstone@debian.org>, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 14:04:58 +0200
[Message part 1 (text/plain, inline)]
* Michael Stone <mstone@debian.org> [2004-08-31 06:59]:
> On Tue, Aug 31, 2004 at 12:26:28PM +0200, you wrote:
>>A) Using the same quotes as in english, i.e., ""
> 
> Once again, the english quotes are also stupid:
>>mv -iv foo bar
> `foo' -> `bar'
> 
> It is not clear why german users are the only ones who need an "apology"
> because they get stupid-looking quotes. English-speaking users have been
> living with the problem for years.

 You are free to request something along the same lines. In fact I would
second that. On the other hand we as native German speakers and the
debian-l10n-german team after all can't know of the problems that might
be there in e.g. Russian translations, or whatever else. It is quite
natural that we address the problems that we are faced with in our daily
work, instead of the problems that refer to things we don't see (or
don't know about).

>>Hence the appology is needed, since -- given Debians history -- users of
>>stable employing a german locale will experience the (unambiguously
>>perceived as ugly) quotes for the years to come.
> 
> Just like people employing an english locale! 

 There is no contradiction forbidding that. Though, weren't the "ugly"
english quotes there from the start? The ugly german quotes are
happening just recently.

 So long,
Alfie
-- 
() | Ich bin anders, nur soviel anders wie der Himmel, wie das Meer am Horizont.
/\ | Oder anders, vielleicht anders - was heisst schon anders?
   |                                   -- Alfons Haider, 2001
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #229 received at 235759@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>
Subject: Re: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 13:27:10 +0100
On Tue, Aug 31, 2004 at 12:26:28PM +0200, Helge Kreutzmann wrote:
> the release notes need to contain a note to users using the german
> locale along the lines:

The contact address for the release notes is
debian-doc@lists.debian.org.

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #234 received at 235759@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org, 228486@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 16:59:05 +0200
[Message part 1 (text/plain, inline)]
Michael Stone <mstone@debian.org> writes:

> On Tue, Aug 31, 2004 at 12:26:28PM +0200, you wrote:
>>A) Using the same quotes as in english, i.e., ""
>
> Once again, the english quotes are also stupid:
>> mv -iv foo bar
> `foo' -> `bar'
>
> It is not clear why german users are the only ones who need an "apology"
> because they get stupid-looking quotes.

The english quotes at least stick to the idea that one character is one
symbol.  I find the ,, ascii art-like behaviour for German
very ugly, and in fact, for me as a braille user, it is even
more confusing than it is probably for a sighted user.  What I see
there are two commas, I have no way of even guessing that this should look
like a open quote.  The situation will be even worse
for people using speech.  Naming a single character with a substitution
is a common feature in screen readers, but I wouldn't know how
to tell such a program that ",," is to be pronounced as "open quote".
Even if it were possible in some cases, the posibility of false-positives is
still there.

All in all, if this can't be fixed in time, I second the idea of an apology
in the release notes.

-- 
CYa,
  Mario
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #239 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org
Cc: debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 11:17:10 -0400
On Tue, Aug 31, 2004 at 04:59:05PM +0200, Mario Lang wrote:
>Michael Stone <mstone@debian.org> writes:
>> Once again, the english quotes are also stupid:
>>> mv -iv foo bar
>> `foo' -> `bar'
>>
>> It is not clear why german users are the only ones who need an "apology"
>> because they get stupid-looking quotes.
>
>The english quotes at least stick to the idea that one character is one
>symbol.  

Ooh, you've never seen english double quotes represented like this: ``foo''

Now can I file a bug and cross post a message demanding an immediate fix
and an apology for all english speakers? 

This is ridiculous.

Mike Stone




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #244 received at 235759@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: Wed, 01 Sep 2004 01:30:57 +0900
At Tue, 31 Aug 2004 12:26:28 +0200,
Helge Kreutzmann wrote:
> The Debian Project apologies for the unfortunate german quoting on the
> command line interface. A solution is worked on, but unfortunately
> hasn't made it into Sarge. As a workaround, switching to a UTF-8 based
> locale will avoid the problem.

It's not good idea to enforce your opinion to the release
announcements because even some German guys do not think it's
acceptable currently.

Regards,
-- gotom

> Rational:
> The current quoting for german locales (german, swiss, austrian, ...)
> tries to mimic proper german quoting (if  UTF-8 is not present) and
> fails miserably:
> 
> Opening quotes: ,,
> Closing quotes: "
> 
> The opening quotes use 2 characters, are visually clearly different
> from the closing quotes and users are confused because they read the
> opening quotes as "two commas" and not "opening quote". Consider
> 
> helge@sixtyfor:/scratch/incoming/MO/jan02$ /bin/mv -iv bla ~
> ,,bla" -> ,,/home/helge/bla"
> ,,bla" entfernt
> 
> Bugs have been filled on this issue quite a while back ([1], [2]). The
> entire list [3] has expressed that the this behaviour is highly
> undesirable. Essentially two solutions have been proposed, and
> intensivly discussed[4]:
> 
> A) Using the same quotes as in english, i.e., ""
> B) Using inversed french quotes »«
> 
> The vast majority (c.f. the thread starting at [4]) believes that either
> solution is much better than the current state. However, the
> glibc-maintainers expressed concernes about diverging from upstream
> and pointed out that the bugs where minor and (implicitly) should be
> fixed at some later stage.
> 
> Hence the appology is needed, since -- given Debians history -- users of
> stable employing a german locale will experience the (unambiguously
> perceived as ugly) quotes for the years to come.
> 
> The (almost) complete discussion is archived both in various threads
> on debian-l10n-german and in the bug reports [1] and [2].
> 
> Please CC: me as I am not subscribed to debian-release.
> 
> Greetings
> 
>           Helge
> 
> 
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486
> [2} http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759
> [3] http://lists.debian.org/debian-l10n-german/2004/07/msg00172.html
> [4] http://lists.debian.org/debian-l10n-german/2004/07/msg00149.html
> -- 
> Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
>   gpg signed mail preferred    gpg-key: finger kreutzm@zibal.itp.uni-hannover.de
>     64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
>        Help keep free software "libre": http://www.freepatents.org/
> [2  <application/pgp-signature (7bit)>]
> 



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #249 received at 235759@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: Michael Stone <mstone@debian.org>
Cc: 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 20:28:14 +0200
[Message part 1 (text/plain, inline)]
Michael Stone <mstone@debian.org> writes:

> On Tue, Aug 31, 2004 at 04:59:05PM +0200, Mario Lang wrote:
>>Michael Stone <mstone@debian.org> writes:
>>> Once again, the english quotes are also stupid:
>>>> mv -iv foo bar
>>> `foo' -> `bar'
>>>
>>> It is not clear why german users are the only ones who need an "apology"
>>> because they get stupid-looking quotes.
>>
>>The english quotes at least stick to the idea that one character is one
>> symbol.
>
> Ooh, you've never seen english double quotes represented like this: ``foo''

It feels to me as if you are intentionally failing to get my point.
I have no problems reading ``this'' as double quotes, but ,,this" is just
a double comma.

-- 
CYa,
  Mario
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #254 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: debian-l10n-german@lists.debian.org
Cc: GOTO Masanori <gotom@debian.or.jp>, debian-release@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 20:47:52 +0200
> It's not good idea to enforce your opinion to the release
> announcements because even some German guys do not think it's
> acceptable currently.

Can you give some pointers to this? If you follow the long bug report 
[1], you'll see that there is agreement that the current ,," quoting is 
by far the worst transliteration. 2 opinions stated that the 
transliteration towards »« might be problematic [2] [3]. One of them 
[2] because in Switzerland's German they use «» (reversed, as in 
French) -- Denis <barbier@linuxfr.org> stated , that Swiss users 
already live with »« on debian.org and Gnome [4]. The other opinion [3] 
found so many refutations that you'll have to read the whole second 
part of the bug report rather then having me pointing at all of these 
refutations.

Alternatively, it was also said that quotes like "" would be very much 
preferred over ,," [5]. [5] is actually a nice summary of this long 
story.

Frankly, I am getting tired of discussing this issue. I can't understand 
why you, gotom, are that stubborn and can't respect a decision taken by 
the German translation team. You already stated at the very beginning 
of this bug report, that you find it "not well inspected" [6]... To me 
your reluctance rather seems like a personal/social quirk. It's a 
pity :-( I am sorry that I have to say that, I don't intend to offend 
you, but it is hard to overcome the impression that giving all the 
reasons and time was useless from the very beginning.

Best Regards,

Jens
 

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759&msg=39
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759&msg=78
[4] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759&msg=48
[5] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759&msg=51
[6] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759&msg=18




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #259 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Mario Lang <mlang@debian.org>
Cc: 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 15:00:53 -0400
On Tue, Aug 31, 2004 at 08:28:14PM +0200, Mario Lang wrote:
>It feels to me as if you are intentionally failing to get my point.

Likewise. :) 

>I have no problems reading ``this'' as double quotes, but ,,this" is just
>a double comma.

Well, `` isn't a double quote any more than ,, is--it's a pair of grave
accents. There is a proper double opening quote for english in UTF-8,
just like there's a proper double opening quote for german in UTF-8. The
only difference is that (until my previous post) english-speaking users
haven't demanded an apology for misusing punctuation.

Mike Stone




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #264 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Jens Nachtigall <nachtigall@web.de>
Cc: debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, debian-release@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: 31 Aug 2004 12:26:07 -0700
Jens Nachtigall <nachtigall@web.de> writes:

> Can you give some pointers to this? If you follow the long bug report 
> [1], you'll see that there is agreement that the current ,," quoting is 
> by far the worst transliteration. 2 opinions stated that the 
> transliteration towards »« might be problematic [2] [3]. One of them 
> [2] because in Switzerland's German they use «» (reversed, as in 
> French) -- Denis <barbier@linuxfr.org> stated , that Swiss users 
> already live with »« on debian.org and Gnome [4]. The other opinion [3] 
> found so many refutations that you'll have to read the whole second 
> part of the bug report rather then having me pointing at all of these 
> refutations.

I don't think anyone has said that the commas thing is acceptible.
The person you are responding to didn't say it was.

And, I still ask, why did the upstream maintainer put this in libc,
since he is, after all, German?  I'm curious.

> Frankly, I am getting tired of discussing this issue. I can't understand 
> why you, gotom, are that stubborn and can't respect a decision taken by 
> the German translation team. You already stated at the very beginning 
> of this bug report, that you find it "not well inspected" [6]... To me 
> your reluctance rather seems like a personal/social quirk. It's a 
> pity :-( I am sorry that I have to say that, I don't intend to offend 
> you, but it is hard to overcome the impression that giving all the 
> reasons and time was useless from the very beginning.

I think it's easy to say that it needs to be fixed, but it doesn't
require an apology as if German isn't properly supported anymore.  The
use of UTF-8 completely avoids the problem; so German is in fact
supported, and supported correctly.

What would be very nice is a description of this fact in the release
notes, perhaps something like:

  "The XXX locale for German unfortunately uses a bad way of
  representing open quotation marks.  We have retained it this way in
  order to preserve compatibility with other Linux distributions, and
  we hope that in the future it will be fixed.  Meanwhile, the YYY
  locale can be used, which fully supports German with the correct
  quotation marks."


Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #269 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 12:35:58 -0700
Michael Stone <mstone@debian.org> writes:

> On Tue, Aug 31, 2004 at 08:28:14PM +0200, Mario Lang wrote:
> >It feels to me as if you are intentionally failing to get my point.
> 
> Likewise. :)
> >I have no problems reading ``this'' as double quotes, but ,,this" is just
> >a double comma.
> 
> Well, `` isn't a double quote any more than ,, is--it's a pair of grave
> accents. There is a proper double opening quote for english in UTF-8,
> just like there's a proper double opening quote for german in UTF-8. The
> only difference is that (until my previous post) english-speaking users
> haven't demanded an apology for misusing punctuation.

This can be entirely sidestepped, because Debian *does* support German
properly, if you use the correct locale.

We should tell people:

1) Use such-and-such a locale if you want good German support, and
2) The thus-and-so locale has freaky quotation marks because we want
   to preserve consistency with other Linux distributions.

No apology is necessary, because of (1).

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #274 received at 235759@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 21:52:22 +0200
[debian-release removed from Cc]

On Tue, Aug 31, 2004 at 12:26:07PM -0700, Thomas Bushnell BSG wrote:
> Jens Nachtigall <nachtigall@web.de> writes:
> 
> > Can you give some pointers to this? If you follow the long bug report 
> > [1], you'll see that there is agreement that the current ,," quoting is 
> > by far the worst transliteration. 2 opinions stated that the 
> > transliteration towards »« might be problematic [2] [3]. One of them 
> > [2] because in Switzerland's German they use «» (reversed, as in 
> > French) -- Denis <barbier@linuxfr.org> stated , that Swiss users 
> > already live with »« on debian.org and Gnome [4]. The other opinion [3] 
> > found so many refutations that you'll have to read the whole second 
> > part of the bug report rather then having me pointing at all of these 
> > refutations.
> 
> I don't think anyone has said that the commas thing is acceptible.
> The person you are responding to didn't say it was.

Thiemo Seufer did, that's why GOTO Masanori tells that there is
no consensus:
  http://lists.debian.org/debian-glibc/2004/07/msg00370.html
]  Starting from this, b) is probably the worst solution. I'm pretty
]  sure many people won't even recognize a guillemot as a quoting sign
]  without having more context. c) is better WRT, but the reader will
]  stumble over each opening quote.
where (a)=transliteration with English quotes, (b)=transliteration with
French quotes, (c) is current transliteration ,,"

> And, I still ask, why did the upstream maintainer put this in libc,
> since he is, after all, German?  I'm curious.

AFAICT only Unicode transliteration was added to libc locales at first
place, then some people requested locale additions.  A bug has been
filed on 2004-03-03 to request additions to German locales, but Ulrich
Drepper did not comment on it yet.
  http://sources.redhat.com/bugzilla/show_bug.cgi?id=56
Fortunately glibc maintainers do not usually wait for Ulrich comments
about locales stuff, since it does not seem to be high priority for him,
but in this case they refuse to apply the requested changes.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #279 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: barbier@linuxfr.org (Denis Barbier)
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: 31 Aug 2004 12:57:07 -0700
barbier@linuxfr.org (Denis Barbier) writes:

> AFAICT only Unicode transliteration was added to libc locales at first
> place, then some people requested locale additions.  A bug has been
> filed on 2004-03-03 to request additions to German locales, but Ulrich
> Drepper did not comment on it yet.
>   http://sources.redhat.com/bugzilla/show_bug.cgi?id=56
> Fortunately glibc maintainers do not usually wait for Ulrich comments
> about locales stuff, since it does not seem to be high priority for him,
> but in this case they refuse to apply the requested changes.

So it seems to me that gotom is being a twit and should make the
change.  But it's also just too late to make it for sarge, which
sucks, but that's the way it is.

Meanwhile, we don't need an apology in the release notes; what we need
is advice about which locale to use to get decent behavior. 

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #284 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Mario Lang <mlang@debian.org>
Cc: Michael Stone <mstone@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 13:08:41 -0700
Mario Lang <mlang@debian.org> writes:

> It feels to me as if you are intentionally failing to get my point.
> I have no problems reading ``this'' as double quotes, but ,,this" is just
> a double comma.

Can you explain the difference?  Both seem ugly to me.  Though:

,,this" is inconsistent.  It should at least be ,,this''.  But really,
it's awful either way.

Use Unicode.  Use Unicode.  Use Unicode.  End these stupid flame wars.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #289 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 16:27:03 -0400
On Tue, Aug 31, 2004 at 12:35:58PM -0700, Thomas Bushnell BSG wrote:
>No apology is necessary, because of (1).

No apology is necessary because it's a ridiculous concept.

I hesitate to tell people to use UTF-8 because full multibyte compliance
isn't guaranteed in sarge.

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #294 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 13:33:00 -0700
Michael Stone <mstone@debian.org> writes:

> On Tue, Aug 31, 2004 at 12:35:58PM -0700, Thomas Bushnell BSG wrote:
> >No apology is necessary, because of (1).
> 
> No apology is necessary because it's a ridiculous concept.

Are you just trying to make it as difficult as possible to solve the
problem?  If so, please stop helping.

English quotation marks have never looked good.  But the German ones,
with the most natural German locale, are now looking *worse than they
used to*.  It's one thing to say "it's not as good as it could be",
but when you insist that it's ok to *make things worse* on the grounds
that English is already sucky, you aren't going to win points.

Nor is this about winning points.  

I get the feeling that you wish those annoying furriners would go away
with their funny marks and quaint obscure languages.  But Debian has
already decided we are going to support non-English languages as well
as we can, and it is inappropriate for you to attempt to subvert that
for whatever reason.

It is certainly true that sarge will have a problem in this area.  It
doesn't require an apology because there is an alternative solution,
but it's a pretty good thing to be upset about if you are German.  

The German l10n team gets to decide how German localization happens,
not you, and not me.  It's sadly too late to get a fix into sarge (and
it's a shame that the Debian glibc maintainers acted like jerks about
it).  

> I hesitate to tell people to use UTF-8 because full multibyte compliance
> isn't guaranteed in sarge.

How about we publish your home phone number so that they can complain
to you directly?  "If you don't like the way German quotes work in
Debian, then call Michael Stone at XXX-XXX-XXXX."  If you're right
that this is a trivial issue which nobody will care about, you should
be happy with that solution, right?

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #299 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 17:07:33 -0400
On Tue, Aug 31, 2004 at 01:33:00PM -0700, Thomas Bushnell BSG wrote:
>Are you just trying to make it as difficult as possible to solve the
>problem?  

No, I'm aghast that the concept of including an *apology* in the release
notes for a typographical ugliness is being given any consideration at
all. Talking about solutions is fine, but singling something like this
out for an apology is ludicrous.

>English quotation marks have never looked good.  But the German ones,
>with the most natural German locale, are now looking *worse than they
>used to*.  It's one thing to say "it's not as good as it could be",
>but when you insist that it's ok to *make things worse* on the grounds
>that English is already sucky, you aren't going to win points.

Personally, *I don't care* what quotes are used in german, since I'm
unlikely to ever use a german locale. The purpose of bringing up the
english example is to demonstrate that people *can* and *do* live with
stupid looking quotes. I'd far prefer a solution where everyone is
happy, but running around like headless chickens proclaiming the end of
the world and demanding apologies because quotation marks look stupid
is, well, silly.

>Nor is this about winning points.  

No, it's not. It's about being a little more reasonable when demanding
changes. Sometimes you get what you want and sometimes you don't.
Marshal your arguments and do something productive. At this point it
looks like focusing attention upstream is going to be more productive
than continuing with gotom. Alternatively, someone could try the TC
route. Either way it's too late for sarge, but that *really isn't* the
end of the world.

>I get the feeling that you wish those annoying furriners would go away
>with their funny marks and quaint obscure languages.  But Debian has
>already decided we are going to support non-English languages as well
>as we can, and it is inappropriate for you to attempt to subvert that
>for whatever reason.

It is inappropriate (and, frankly, offensive) for you to make insuations
about my motives. 

Some background: the logic behind using ,," isn't that ,," is commonly
used as a quote in german any more than `' or ``'' is commonly used as a
quote in english.  The logic is that the computer screen (and printed
output) should try to *look* like the original quote even if the current
locale doesn't have an appropriate glyph to represent the quotation
mark. Personally I think that's a damn stupid idea, but arguments about
,," not being a standard quotation mark completely miss the point of
what is being done and why. I'd like to see a rational debate about the
overall goals of transliterating quotes, but the chances of that seem
remote in the current context. The bottom line isn't that this isn't
some conspiracy to foist some non-standard quote off on germans, this is
simply a difference in goals and expectations.

>The German l10n team gets to decide how German localization happens,
>not you, and not me.

So you should butt out too, right? Take your high horse with you.

>It's sadly too late to get a fix into sarge (and it's a shame that the
>Debian glibc maintainers acted like jerks about it).  

I've had my own problems in that area, but *I didn't demand a damned
apology in the release notes*.

>> I hesitate to tell people to use UTF-8 because full multibyte compliance
>> isn't guaranteed in sarge.
>
>How about we publish your home phone number so that they can complain
>to you directly?  "If you don't like the way German quotes work in
>Debian, then call Michael Stone at XXX-XXX-XXXX."  If you're right
>that this is a trivial issue which nobody will care about, you should
>be happy with that solution, right?

Don't be an ass. I replied with a real technical reason why you might
not want hordes of people switching to UTF-8 and you suggest *that* as a
reasonable response? I had thought better of you.

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #304 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 14:09:36 -0700
Michael Stone <mstone@debian.org> writes:

> No, I'm aghast that the concept of including an *apology* in the release
> notes for a typographical ugliness is being given any consideration at
> all. Talking about solutions is fine, but singling something like this
> out for an apology is ludicrous.

Which is why my proposal.  I'm trying to reach *compromise*, which
implies that I'm not going to get everything I want.

Are you willing to compromise?




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #309 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 14:14:48 -0700
Michael Stone <mstone@debian.org> writes:

> Don't be an ass. I replied with a real technical reason why you might
> not want hordes of people switching to UTF-8 and you suggest *that* as a
> reasonable response? I had thought better of you.

Actually that's not a "real technical reason".  If you could point to
a package with a bug that would be a serious problem if people used
UTF-8, then that would be a real technical reason.  But saying "it
isn't required for sarge" doesn't mean that it actually doesn't
*work*.

FWIW, I use a UTF-8 locale on sarge and sid exclusively, and I have
seen no multibyte-related problems.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #314 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 17:20:16 -0400
On Tue, Aug 31, 2004 at 02:09:36PM -0700, Thomas Bushnell BSG wrote:
>Are you willing to compromise?

What is there for me to compromise about? I pointed out a potential
*technical* problem with your proposal and you jumped all over me and
suggested that my phone number be put in the release notes. Do you have
any response to my *technical* concern? If there are issues with
multibyte support in sarge it would be necessary to weigh the chance of
breaking things (remember, setting the locale to UTF-8 affects a *lot*
more than quotation marks) against the aesthetics of quote
transliteration. If the german translation team decides that the quotes
are more important than the potential breakage, so be it. Personally I
think that's an incredible overreaction, but I'm not using a german
locale and have no particular stake in what recommendation is made. 

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #319 received at 235759@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Denis Barbier <barbier@linuxfr.org>
Cc: Thomas Bushnell BSG <tb@becket.net>, Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>
Subject: Re: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 23:22:18 +0200
Denis Barbier wrote:
[snip]
> > I don't think anyone has said that the commas thing is acceptible.
> > The person you are responding to didn't say it was.
> 
> Thiemo Seufer did, that's why GOTO Masanori tells that there is
> no consensus:
>   http://lists.debian.org/debian-glibc/2004/07/msg00370.html
> ]  Starting from this, b) is probably the worst solution. I'm pretty
> ]  sure many people won't even recognize a guillemot as a quoting sign
> ]  without having more context. c) is better WRT, but the reader will
> ]  stumble over each opening quote.
> where (a)=transliteration with English quotes, (b)=transliteration with
> French quotes, (c) is current transliteration ,,"

You have a ... creative way of quoting my mail. Just to reiterate,
I prefer option (a).


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #324 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 14:29:21 -0700
Michael Stone <mstone@debian.org> writes:

> On Tue, Aug 31, 2004 at 02:09:36PM -0700, Thomas Bushnell BSG wrote:
> >Are you willing to compromise?
> 
> What is there for me to compromise about? I pointed out a potential
> *technical* problem with your proposal and you jumped all over me and
> suggested that my phone number be put in the release notes. 

It's not a technical problem.  It's a guess.  

> Do you have any response to my *technical* concern? If there are
> issues with multibyte support in sarge it would be necessary to
> weigh the chance of breaking things (remember, setting the locale to
> UTF-8 affects a *lot* more than quotation marks) against the
> aesthetics of quote transliteration. 

You say this as if nobody has tested UTF-8.  As if people have been
ignoring it.  As if there aren't *already* gobs of Debian users using
UTF-8.  

But the problem here is that you seem totally unable to seek
compromise.  I'll try again.

Why not a release announcement that says something like: "The XXX
locale makes very ugly German quotes, and it's like that to preserve
compatibility with other Linux distributions.  We hope to have it
fixed in the next release.  Meanwhile, you can use the YYY locale (but
please be aware that there may be multibyte problems, though there
aren't any that we are aware of)."

That's the gist; the details could be different of course.

It seems to me that this answers your objection, by giving the facts
to the users so they can decide whether this risk of multibyte
problems is more important to them than the broken quotation marks or
not.

There's no reason we have to dictate a choice to anyone.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #329 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 17:33:22 -0400
On Tue, Aug 31, 2004 at 02:14:48PM -0700, Thomas Bushnell BSG wrote:
>Actually that's not a "real technical reason".  If you could point to
>a package with a bug that would be a serious problem if people used
>UTF-8, then that would be a real technical reason.  But saying "it
>isn't required for sarge" doesn't mean that it actually doesn't
>*work*.

I didn't say it did. I pointed to a potential problem. For all I know,
in an exclusively german context UTF-8 won't cause problems at all. What
I did say is that full multibyte compliance isn't guaranteed. That's a
fact. Now, those suggesting that a bunch of people who aren't currently
using UTF-8 suddenly start using it should look at the current state of
affairs and decide whether that's a good idea. IOW, is the quote issue a
big enough problem that we should suggest that all german users by
default use a less tested environment? I would suggest that those
proposing the change bear some responsibility for testing that
configuration from scratch to see what kind of impact it might have on a
new user's experience, compared to the current mode of operation. If
someone were to do that in a comprehensive fashion then I'd have no
question at all about the proposed change--but I doubt there's really
time for that given the number of packages in sarge. 

>FWIW, I use a UTF-8 locale on sarge and sid exclusively, and I have
>seen no multibyte-related problems.

I also use a UTF-8 locale, and I can assure you that there are. Most are
surmountable, but will raise the complexity of an installation. (It's
not just "use LANG=de_DE.UTF-8 and everything will magically work" in an
upgrade scenario. Maybe not even in a new install--I don't know. Think
things like terminal emulator settings, fonts, remote sessions, etc.)
There are definately, e.g., issues with multibyte support in coreutils.
How much impact the issues have in the current context, I don't know.
Several weeks into the freeze might not be the right time to start
quantifying this.

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #334 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 17:34:40 -0400
On Tue, Aug 31, 2004 at 02:29:21PM -0700, Thomas Bushnell BSG wrote:
>But the problem here is that you seem totally unable to seek
>compromise.  I'll try again.

Good grief, this isn't personal. Maybe you should just relax and come
back tomorrow.

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #339 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 14:36:25 -0700
Michael Stone <mstone@debian.org> writes:

> I didn't say it did. I pointed to a potential problem. For all I know,
> in an exclusively german context UTF-8 won't cause problems at all. What
> I did say is that full multibyte compliance isn't guaranteed. 

So how about a release note that describes the situation completely,
and explains the choice that german users have?

I'm looking for a good solution here that can answer everyone's
concerns, rather than trying to identify who is more ludicrous.  I
agree that an apology isn't necessary, but *some* kind of advice,
given that sarge will be *removing* support for a large class of
users, does seem relevant, and does warrant some kind of mention in
the release notes to explain the situation.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #344 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 14:37:29 -0700
Michael Stone <mstone@debian.org> writes:

> On Tue, Aug 31, 2004 at 02:29:21PM -0700, Thomas Bushnell BSG wrote:
> >But the problem here is that you seem totally unable to seek
> >compromise.  I'll try again.
> 
> Good grief, this isn't personal. Maybe you should just relax and come
> back tomorrow.

I believe it was you that said it was "ludicrous" and a trivial issue
and not worth attention.  I'm trying to find a compromise here, and so
far, you've articulated your position and given no indication
whatsoever of what would be satisfactory to you other than getting
exactly what you want.

Is there something other than getting exactly what you want which
would be satisfactory to you?

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #349 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 18:03:33 -0400
On Tue, Aug 31, 2004 at 02:36:25PM -0700, Thomas Bushnell BSG wrote:
>I agree that an apology isn't necessary, but *some* kind of advice,
>given that sarge will be *removing* support for a large class of users,

That's not true. Something is changing, arguably for the worse. Nobody
is being unsupported. Inflating the hyperbole isn't productive.

>does seem relevant, and does warrant some kind of mention in the
>release notes to explain the situation.

I don't recall saying that a mention in the release notes is
inappropriate or unacceptable. I don't recall objecting to the proposed
wording. The only thing I recall objecting to was the specific term
"apology". 

The UTF-8 issue is something I said I'd "hesitate" to recommend. That
was simply a way to raise a potential issue for consideration, as I had
not seen it discussed previously in the thread--I didn't expect it to be
taken as some sort of veto. Hesitating in order to consider doesn't
mean that the proposal is wrong or invalid, nor is it any way
pejorative. It's simply taking some time to make sure that the proposal
won't bite anyone down the road. 

Mike Stone




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #354 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Michael Stone <mstone@debian.org>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: 31 Aug 2004 15:21:05 -0700
Michael Stone <mstone@debian.org> writes:

> On Tue, Aug 31, 2004 at 02:36:25PM -0700, Thomas Bushnell BSG wrote:
> >I agree that an apology isn't necessary, but *some* kind of advice,
> >given that sarge will be *removing* support for a large class of users,
> 
> That's not true. Something is changing, arguably for the worse. Nobody
> is being unsupported. Inflating the hyperbole isn't productive.

Sorry, by "unsupported" I meant he previously reasonable German
quotation marks have been turned into ones that no German speaker
thinks are acceptable.

> I don't recall saying that a mention in the release notes is
> inappropriate or unacceptable. I don't recall objecting to the proposed
> wording. The only thing I recall objecting to was the specific term
> "apology". The UTF-8 issue is something I said I'd "hesitate" to
> recommend. 

Ok, so how about we articulate problems might occur?  Perhaps we
should have a file about it, b/c we shouldn't put more than a single
paragraph in the release notes in my opinion.

Perhaps you could write down some of the more frequent problems that
users with UTF-8 might expect to see (especially any actual bugs you
know of; you suggested there were some but I may have misunderstood),
and this could be included.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #359 received at 235759@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>
Cc: Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: Apology to german users required in the release notes
Date: Tue, 31 Aug 2004 21:40:58 -0400
On Tue, Aug 31, 2004 at 03:21:05PM -0700, Thomas Bushnell BSG wrote:
>Perhaps you could write down some of the more frequent problems that
>users with UTF-8 might expect to see 

No. I have no interest in this problem and don't care to work with you.
I've reassigned the coreutils bug to libc6 and won't see further traffic
on this issue. You've seen my warning about utf8 and can make of it what
you will, it matters not in the least to me.

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #364 received at 235759@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jens Nachtigall <nachtigall@web.de>
Cc: debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, debian-release@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: Wed, 1 Sep 2004 07:42:15 +0200
> Frankly, I am getting tired of discussing this issue. I can't understand 
> why you, gotom, are that stubborn and can't respect a decision taken by 
> the German translation team. You already stated at the very beginning 
> of this bug report, that you find it "not well inspected" [6]... To me 
> your reluctance rather seems like a personal/social quirk. It's a 
> pity :-( I am sorry that I have to say that, I don't intend to offend 


Well, I must say that even if you're right (you seem), yes you should
be sorry for saying that. I've been lucky enough for meeting Masanori
Goto at Debconf and I never felt him as a stubborn guy.  We even quite
widely discussed about the addition of new locales to Debian and I
felt him quite well opened to enhancements in this field....as well as
very aware of the hidden implications of locales changes.

Certainly very careful at working on his tasks in Debian. Maybe too
careful in your opinion but certainly not stubborn. 

Changing the behaviour of the german locale is certainly something
that should not be done without deep thinking. The german team seems
to have done this with the help of others like Denis. That's fine.

Re-opening this issue was probably a good idea and re-trying to
convince gotom also. But this can probably be done without falling
into personal stuff, imho.







Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #369 received at 235759@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Christian Perrier <bubulle@debian.org>
Cc: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, debian-release@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: 31 Aug 2004 23:08:37 -0700
Christian Perrier <bubulle@debian.org> writes:

> Changing the behaviour of the german locale is certainly something
> that should not be done without deep thinking. The german team seems
> to have done this with the help of others like Denis. That's fine.

At some point, gotom needs to either accept that the German team has
*done* the deep thinking, or else do it himself.  So far he declared
it a wishlist item (AFAICT) and refused to either think about it *or*
take the German team's word for it.

And now, it does seem a terrible shame that we aren't able to ship
with a fixed version because of this.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #374 received at 235759@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jens Nachtigall <nachtigall@web.de>, debian-l10n-german@lists.debian.org, GOTO Masanori <gotom@debian.or.jp>, debian-release@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: Wed, 1 Sep 2004 08:30:00 +0200
> At some point, gotom needs to either accept that the German team has
> *done* the deep thinking, or else do it himself.  So far he declared
> it a wishlist item (AFAICT) and refused to either think about it *or*
> take the German team's word for it.

Well, maybe....but being rude in words towards him doesn't help that
much. Most involved parties are non-native English people and words
must be very cerfully chosen in such arguments.

My point was just enhancing this...deciding who is "right" and who
isn't is not possible for me as I didn't follow the whole discussion.

My other point was just sharing my feeling of Masanori Goto certainly
not being a stubborn man....





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Jens Nachtigall <nachtigall@web.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #379 received at 235759@bugs.debian.org (full text, mbox):

From: Jens Nachtigall <nachtigall@web.de>
To: debian-l10n-german@lists.debian.org
Cc: Christian Perrier <bubulle@debian.org>, GOTO Masanori <gotom@debian.or.jp>, debian-release@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: Wed, 1 Sep 2004 12:56:55 +0200
> > Frankly, I am getting tired of discussing this issue. I can't
> > understand why you, gotom, are that stubborn and can't respect a
> > decision taken by the German translation team. You already stated
> > at the very beginning of this bug report, that you find it "not
> > well inspected" [6]... To me your reluctance rather seems like a
> > personal/social quirk. It's a pity :-( I am sorry that I have to
> > say that, I don't intend to offend
>
> Well, I must say that even if you're right (you seem), yes you should
> be sorry for saying that. I've been lucky enough for meeting Masanori
> Goto at Debconf and I never felt him as a stubborn guy.

As I said, I did not intend to offend gotom (though I might have :-(. I 
am very grateful for everybody spending her/his free time working for 
Debian and its users (e.g.: me). My statement was not in general but 
regarding this issue, where imho it is hard to see any reason why there 
is (still) so much reluctance on applying the patch and why the German 
translation team has been ignored.

Sorry, if I offended gotom or anybody else.

Jens 



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #384 received at 235759@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: Michael Stone <mstone@debian.org>, 235759@bugs.debian.org
Cc: Thomas Bushnell BSG <tb@becket.net>, Mario Lang <mlang@debian.org>, 228486@bugs.debian.org, debian-release@lists.debian.org, debian-l10n-german@lists.debian.org
Subject: Re: Bug#235759: Bug#228486: Apology to german users required in the release notes
Date: Wed, 1 Sep 2004 14:40:52 +0200
[Message part 1 (text/plain, inline)]
Am 2004-08-31 16:27:03, schrieb Michael Stone:
> On Tue, Aug 31, 2004 at 12:35:58PM -0700, Thomas Bushnell BSG wrote:
> >No apology is necessary, because of (1).
> 
> No apology is necessary because it's a ridiculous concept.
> 
> I hesitate to tell people to use UTF-8 because full multibyte compliance
> isn't guaranteed in sarge.

This is not acceptabel, because many console programs 
do not support UFT-8 and run into trouble...

The console will be unusable...

I have tried de_DE.UTF-8 but failed with a couple of programs 
I use regulary. 

Now I am using iso-8859-(1,6,9,15) seperatly and it works perfect.

> Mike Stone

Greetings
Michelle

-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/ 
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/3/88452356    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@ist.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #389 received at 235759@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@ist.org>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: debian-release@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, 228486@bugs.debian.org, Michael Piefel <piefel@debian.org>, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Subject: Re: Apology to german users required in the release notes
Date: Fri, 3 Sep 2004 13:04:32 +0200
[Message part 1 (text/plain, inline)]
* GOTO Masanori <gotom@debian.or.jp> [2004-09-01 01:30]:
> At Tue, 31 Aug 2004 12:26:28 +0200, Helge Kreutzmann wrote:
>> The Debian Project apologies for the unfortunate german quoting on the
>> command line interface. A solution is worked on, but unfortunately
>> hasn't made it into Sarge. As a workaround, switching to a UTF-8 based
>> locale will avoid the problem.
> 
> It's not good idea to enforce your opinion to the release
> announcements because even some German guys do not think it's
> acceptable currently.

 It's not good idea to enforce *your* opinion to the German language
team because you do not think it's acceptable.

 Who are the "some German guys"? There will *always* be people thinking
differently, but never ever I have seen such a vast majority _for_ the
change, and you still object to apply it. Sorry, but you are being
ignorant.

 So long,
Alfie
-- 
<wenz> quit
<wenz> ~/quit
-!- wenz [~hoshi@pD900E60C.dip.t-dialin.net] has quit [ircII2.8.2-EPIC3.004 ---
          Bloatware at its finest.]                   -- #debian.de
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #394 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: debian-doc@lists.debian.org
Cc: debian-l10n-german@lists.debian.org, 228486@bugs.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org
Subject: No mention of german quotes in release-notes yet
Date: Mon, 6 Dec 2004 17:41:41 +0100
[Message part 1 (text/plain, inline)]
Hello,
                                   (please CC: me on replies, thanks)
I pulled the release notes from
http://cvs.debian.org/ddp/manuals.sgml/release-notes/en/release-notes.en.sgml?cvsroot=debian-doc

and could not find a mention of the degraded german quotes on the CLI.
As discussed in 

http://lists.debian.org/debian-doc/2004/09/msg00046.html

and references therin, this should be mentioned in the release notes,
possibly noting that this is done to follow upstream[1].

If you want I can write a paragraph. There is a section labeled
"Detailed Changes to the System" which I think would be perfect for
this information. 

If you need more information, please ask; but first read the afore
mentioned references as this topic has been studied intensivly.

Greetings

        Helge

[1] The maintainers of glibc have clearly stated that they consider
    this issue post-sarge.

-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Rob Bradford <robster@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #399 received at 235759@bugs.debian.org (full text, mbox):

From: Rob Bradford <robster@debian.org>
To: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Cc: debian-doc@lists.debian.org, debian-l10n-german@lists.debian.org, 228486@bugs.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org
Subject: Re: No mention of german quotes in release-notes yet
Date: Sat, 11 Dec 2004 14:24:55 +0000
On Mon, Dec 06, 2004 at 05:41:41PM +0100, Helge Kreutzmann wrote:
> Hello,
>                                    (please CC: me on replies, thanks)
> I pulled the release notes from
> http://cvs.debian.org/ddp/manuals.sgml/release-notes/en/release-notes.en.sgml?cvsroot=debian-doc

Fixed. Note, there is no current German translation available.

Cheers,

Rob
-- 
Rob 'robster' Bradford
http://robster.org.uk



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #404 received at 235759@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Rob Bradford <robster@debian.org>, 228486@bugs.debian.org
Cc: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>, debian-doc@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: No mention of german quotes in release-notes yet
Date: Wed, 15 Dec 2004 18:19:33 +0900
At Sat, 11 Dec 2004 14:24:55 +0000,
Rob Bradford wrote:
> On Mon, Dec 06, 2004 at 05:41:41PM +0100, Helge Kreutzmann wrote:
> > Hello,
> >                                    (please CC: me on replies, thanks)
> > I pulled the release notes from
> > http://cvs.debian.org/ddp/manuals.sgml/release-notes/en/release-notes.en.sgml?cvsroot=debian-doc
> 
> Fixed. Note, there is no current German translation available.

I disagreed to add such description in the release notes.  Rob, I'm
sorry even you already worked it, but I hope you remove it again.
Could you delete it?

I think the phrase "use UTF-8" is nice, but I concern the following
context will become wrong interpretation in future:

    "The locales for German style languages (e.g. de_DE@euro)
     unfortunately use an aesthetically unpleasing way of representing
     open quotation marks."

I think we have not finished such discussion.  Even some German debian
developers doubt this proposal should be adopted.

Moreover, I doubt why we need to add this issue to the release note.
Helge, could you explain in first?  It's just _one of technical
discussions_ in the whole various technical problems.  If you request
to add this appology, I also would like to request adding other
various glibc related bugs as "apology" (UTF-8 regexp problems,
localedata non-update, mips xgot/fakeroot breakage, LSB 2.0
non-conformance, NPTL pthread_create without setschedparam attr, some
math precisions, and more).

I also think this modification should be changed at upstream level in
first, because it's glibc localedata problem, not debian local
problem.  However, _no_ debian guys try to discuss with the glibc
upstream maintainers.  Note that some primary upstream maintainers
(Ulrich Drepper, et al) can speak German, but they don't agree this
proposal currently.

I also concern this issue because this proposal may be rejected in
future by glibc upstream maintainers.  In that case, debian release
announcement will keep having such wrong description until sarge+1
release.  I, as one of upstream glibc bug db maintainer, think this
patch is doubtly to apply to the glibc localedata.

So, I object to add this uncertain issue to the release note.  Rob,
I'm sorry not to reply this request quickly, but I think we should
remove it from the release announcement.

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Rob Bradford <robster@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #409 received at 235759@bugs.debian.org (full text, mbox):

From: Rob Bradford <robster@debian.org>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: 228486@bugs.debian.org, Helge Kreutzmann <kreutzm@itp.uni-hannover.de>, debian-doc@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: No mention of german quotes in release-notes yet
Date: Wed, 15 Dec 2004 11:05:37 +0000
On Wed, Dec 15, 2004 at 06:19:33PM +0900, GOTO Masanori wrote:
> At Sat, 11 Dec 2004 14:24:55 +0000,
> Rob Bradford wrote:
> > On Mon, Dec 06, 2004 at 05:41:41PM +0100, Helge Kreutzmann wrote:
> So, I object to add this uncertain issue to the release note.  Rob,
> I'm sorry not to reply this request quickly, but I think we should
> remove it from the release announcement.

Yes of course, sorry, I didn't realise this issue was so problematic.
Please let me know if the situation changes.

For now I have commented out the section.

Cheers,

Rob
-- 
Rob Bradford - http://robster.org.uk



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <denis31.barbier@free.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #414 received at 235759@bugs.debian.org (full text, mbox):

From: Denis Barbier <denis31.barbier@free.fr>
To: Rob Bradford <robster@debian.org>, 228486@bugs.debian.org
Cc: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>, debian-doc@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org
Subject: Bug#228486: No mention of german quotes in release-notes yet
Date: Wed, 15 Dec 2004 14:06:43 +0100
[GOTO Masanori]
> I think we have not finished such discussion.  Even some German debian
> developers doubt this proposal should be adopted.

The last sentence is wrong, all[1] native German speaking Debian developers
commenting on #235759 are in favor of fixing current transliteration.

--
Denis
[1] Adrian Bunk, Gerfried Fuchs, Mario Lang and Michael Piefel



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Christoph Berg <cb@df7cb.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #419 received at 235759@bugs.debian.org (full text, mbox):

From: Christoph Berg <cb@df7cb.de>
To: debian-l10n-german@lists.debian.org, 228486@bugs.debian.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: No mention of german quotes in release-notes yet
Date: Wed, 15 Dec 2004 19:04:32 +0100
[Message part 1 (text/plain, inline)]
Re: GOTO Masanori in <81ekhrc40q.wl@omega.webmasters.gr.jp>
>     "The locales for German style languages (e.g. de_DE@euro)
>      unfortunately use an aesthetically unpleasing way of representing
>      open quotation marks."

You should mention that this only applies to non-utf-8 locales.

de_DE.ISO-8859-1:
| $rm a
| rm: Aufruf von lstat für ,,a" nicht möglich: Datei oder Verzeichnis nicht gefunden

de_DE.UTF-8 is fine:
| $rm a
| rm: Aufruf von lstat für „a“ nicht möglich: Datei oder Verzeichnis nicht gefunden

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #424 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: Rob Bradford <robster@debian.org>, 228486@bugs.debian.org, debian-doc@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#228486: No mention of german quotes in release-notes yet
Date: Mon, 3 Jan 2005 12:00:49 +0100
[Message part 1 (text/plain, inline)]
Hello,
(CC:ed Project Leader to help resolve this issue)
On Wed, Dec 15, 2004 at 06:19:33PM +0900, GOTO Masanori wrote:
> At Sat, 11 Dec 2004 14:24:55 +0000,
> Rob Bradford wrote:
> > On Mon, Dec 06, 2004 at 05:41:41PM +0100, Helge Kreutzmann wrote:
> > > Hello,
> > >                                    (please CC: me on replies, thanks)
> > > I pulled the release notes from
> > > http://cvs.debian.org/ddp/manuals.sgml/release-notes/en/release-notes.en.sgml?cvsroot=debian-doc
> > 
> > Fixed. Note, there is no current German translation available.
> 
> I disagreed to add such description in the release notes.  Rob, I'm
> sorry even you already worked it, but I hope you remove it again.
> Could you delete it?
> 
> I think the phrase "use UTF-8" is nice, but I concern the following
> context will become wrong interpretation in future:
> 
>     "The locales for German style languages (e.g. de_DE@euro)
>      unfortunately use an aesthetically unpleasing way of representing
>      open quotation marks."
> 
> I think we have not finished such discussion.  Even some German debian
> developers doubt this proposal should be adopted.

This was extensivly discussed in the past. The german translation list
*unanimously* [1] thinks this is correct. I cited the main discussions in
the request to debian-doc[2,3]. And you stated nearly the same in the end of
august, where Jens Nachtigal pointed out (with several references)
that this discussion was done, the the solution was not disputed [4].
Gerfried Fuchs (Alfie) also stated, that probably every issue has some
opponents, but he has "never ever [..] seen such a vast majority _for_ the
change" [5]. Also both bugs regarding this where opened in the beginning
of the year, and extensivly discussed[6,7].

> Moreover, I doubt why we need to add this issue to the release note.
> Helge, could you explain in first?  It's just _one of technical
> discussions_ in the whole various technical problems.  If you request
> to add this appology, I also would like to request adding other
> various glibc related bugs as "apology" (UTF-8 regexp problems,
> localedata non-update, mips xgot/fakeroot breakage, LSB 2.0
> non-conformance, NPTL pthread_create without setschedparam attr, some
> math precisions, and more).

I cannot say anything about the bugs you mention. If these are indeed
serious *regressions* (e.g., I don't think LSB 2.0 and NPTL are
present in woody), then I assume it part of your responsibility to
judge their relative importance and get the proper notice (in the
changelog, in README.Debian, in NEWS, in the installation manual,
wherever appropriate).

The ordinary german user coming from woody will see this regression
in his daily use on the shell.  The german translation team would
have preferred one of the suggested solutions (frech quotes, return
to the english quotes as of woody), but since you oppose a change,
the users should at least be informed that this unfortunate change
has happened.

> I also think this modification should be changed at upstream level in
> first, because it's glibc localedata problem, not debian local
> problem.  However, _no_ debian guys try to discuss with the glibc
> upstream maintainers.  Note that some primary upstream maintainers
> (Ulrich Drepper, et al) can speak German, but they don't agree this
> proposal currently.

I agree that a change with upstream would be the best solution. But as
I understand it, Debian serves its users, and sometimes this implies
(IMHO) derivation from upstream. I don't know how you handle bugs in
the packages you maintain, but when I receive a bug report which
affects upstreams packages as well, I inform upstream about this. Then
either upstream agrees, and everything is fine, or upstream disagrees,
then I have to decide what is best for my users. This is not something
I need more than 3/4 of a year for to decide. 

> I also concern this issue because this proposal may be rejected in
> future by glibc upstream maintainers.  In that case, debian release
> announcement will keep having such wrong description until sarge+1
> release.  I, as one of upstream glibc bug db maintainer, think this
> patch is doubtly to apply to the glibc localedata.

Why? People coming from Sarge to Etch (=Sarge+1) will already know the
change, and will have acted appropriately. This note is only required
for Sarge. Any change from the current behavior will be an
improvement, hence no note is required.

I don't know how intrusive the change back to the woody behavior (or
to the french quotes) actually is. I also assume, that the glibc has
dealt with controversial issues in the past already. So as you
co-maintain upstream glibc bug db, I assumed that you would
take care of getting this bug resolved (either way) and kept the open
bugs informed about this. For this case, this is especially easy,
since patches where posted (and IMHO technically not challenged, but
maybe I am wrong here), so it is mainly down to a decisions if and how
the change should occur. 

So, if I understand you correctly, the decision is still in progress.
Since Sarge is probably released before the bugs can be resolved, and
if the decision is to keep the current, unesthetical behaviour both
upstream and in Debian (which would be unfortunate), even then this note
is IMHO required. Because Debian serves its users, including the
german ones. And the opinion in favor of a change are so overwhelming,
way more than for many other changes [5].

> So, I object to add this uncertain issue to the release note.  Rob,
> I'm sorry not to reply this request quickly, but I think we should
> remove it from the release announcement.

I ask for the re-inclusion, being backed up by the german translation
team, including several developers. 

I CC:ed Martin Michlmayr as he has not participated in the
discussion so far (hence being neutral) to ask him to help find a
solution about this note in the release notes.

Greetings

         Helge


[1] http://lists.debian.org/debian-l10n-german/2004/07/msg00172.html
[2] http://lists.debian.org/debian-doc/2004/09/msg00046.html
[3] http://lists.debian.org/debian-release/2004/08/msg00496.html
[4] http://lists.debian.org/debian-l10n-german/2004/08/msg00235.html
[5] http://lists.debian.org/debian-l10n-german/2004/09/msg00016.html
[6] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=228486
[7] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235759


-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #429 received at 235759@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: GOTO Masanori <gotom@debian.or.jp>, Rob Bradford <robster@debian.org>, 228486@bugs.debian.org, debian-doc@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: No mention of german quotes in release-notes yet
Date: Thu, 20 Jan 2005 00:38:45 +0000
* Helge Kreutzmann <kreutzm@itp.uni-hannover.de> [2005-01-03 12:00]:
> > So, I object to add this uncertain issue to the release note.  Rob,
> > I'm sorry not to reply this request quickly, but I think we should
> > remove it from the release announcement.
> 
> I ask for the re-inclusion, being backed up by the german translation
> team, including several developers.
> 
> I CC:ed Martin Michlmayr as he has not participated in the
> discussion so far (hence being neutral) to ask him to help find a
> solution about this note in the release notes.

I didn't have any plans to join this discussion and I'm not sure what
I can add.  FWIW, I exclusively use an English locale.  Anyway, I've
read through the whole bug log now.  I personally agree that these
quotation marks are quite ugly and I don't see why the release notes
shouldn't mention this.  However, they should take GOTO Masanori's
objections into account.  Why cannot the release notes say that the
current style in non-UTF8 is ugly and that there is a discussion going
on about how they will be presented in the future?  I think that would
take both sides into account.

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #434 received at 235759@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: GOTO Masanori <gotom@debian.or.jp>, Rob Bradford <robster@debian.org>, 228486@bugs.debian.org, debian-doc@lists.debian.org, debian-l10n-german@lists.debian.org, barbier@linuxfr.org, 235759@bugs.debian.org
Subject: Re: Bug#228486: No mention of german quotes in release-notes yet
Date: Thu, 3 Feb 2005 14:30:28 +0100
[Message part 1 (text/plain, inline)]
Hello,
On Thu, Jan 20, 2005 at 12:38:45AM +0000, Martin Michlmayr wrote:
> * Helge Kreutzmann <kreutzm@itp.uni-hannover.de> [2005-01-03 12:00]:
> > > So, I object to add this uncertain issue to the release note.  Rob,
> > > I'm sorry not to reply this request quickly, but I think we should
> > > remove it from the release announcement.
> > 
> > I ask for the re-inclusion, being backed up by the german translation
> > team, including several developers.
> > 
> > I CC:ed Martin Michlmayr as he has not participated in the
> > discussion so far (hence being neutral) to ask him to help find a
> > solution about this note in the release notes.
> 
> I didn't have any plans to join this discussion and I'm not sure what
> I can add.  FWIW, I exclusively use an English locale.  Anyway, I've

maybe I have been imprecise. I did not intend you to offer an opinion
on the issue itself, but rather help the currently stuck positions get
unstuck, i.e., moderate between GOTO and this list (or maybe you know
someone who can moderate).

> read through the whole bug log now.  I personally agree that these
> quotation marks are quite ugly and I don't see why the release notes
> shouldn't mention this.  However, they should take GOTO Masanori's
> objections into account.  Why cannot the release notes say that the
> current style in non-UTF8 is ugly and that there is a discussion going
> on about how they will be presented in the future?  I think that would
> take both sides into account.

GOTO, if we add something along these lines, would this be acceptable
to you?

Greetings

         Helge
-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#235759; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@linuxfr.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #439 received at 235759@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@linuxfr.org>
To: 235759@bugs.debian.org, Jens Nachtigall <nachtigall@web.de>
Cc: control@bugs.debian.org
Subject: Re: Bug#235759: libc6: iconv's replacement for "German quotes in UTF-8" to latin1
Date: Tue, 18 Oct 2005 00:31:34 +0200
tags 235759 fixed-upstream
thanks

This bug has been fixed upstream, with a slightly different patch:
  http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/de_DE.diff?cvsroot=glibc&r1=1.18&r2=1.19
It has just been applied against CVS HEAD but not against 2.3 branch,
so it may take a while before it gets included into official GNU
libc tarballs.

Denis



Tags added: fixed-upstream Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Denis Barbier <barbier@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jens Nachtigall <nachtigall@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #448 received at 235759-close@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@debian.org>
To: 235759-close@bugs.debian.org
Subject: Bug#235759: fixed in glibc 2.3.5-12
Date: Sun, 15 Jan 2006 01:47:10 -0800
Source: glibc
Source-Version: 2.3.5-12

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.5-12_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.5-12_all.deb
glibc_2.3.5-12.diff.gz
  to pool/main/g/glibc/glibc_2.3.5-12.diff.gz
glibc_2.3.5-12.dsc
  to pool/main/g/glibc/glibc_2.3.5-12.dsc
libc6-amd64_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6-amd64_2.3.5-12_i386.deb
libc6-dbg_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-12_i386.deb
libc6-dev-amd64_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6-dev-amd64_2.3.5-12_i386.deb
libc6-dev_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-12_i386.deb
libc6-i686_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.5-12_i386.deb
libc6-pic_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-12_i386.deb
libc6-prof_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-12_i386.deb
libc6-udeb_2.3.5-12_i386.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-12_i386.udeb
libc6_2.3.5-12_i386.deb
  to pool/main/g/glibc/libc6_2.3.5-12_i386.deb
libnss-dns-udeb_2.3.5-12_i386.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-12_i386.udeb
libnss-files-udeb_2.3.5-12_i386.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-12_i386.udeb
locales_2.3.5-12_all.deb
  to pool/main/g/glibc/locales_2.3.5-12_all.deb
nscd_2.3.5-12_i386.deb
  to pool/main/g/glibc/nscd_2.3.5-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 235759@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Denis Barbier <barbier@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 15 Jan 2006 00:54:16 +0100
Source: glibc
Binary: libc6-dev-amd64 libc6-i686 libc6-dev-ppc64 libc0.3-pic glibc-doc libc1-udeb libc0.3 libc6.1-dev libc1-pic libc6-s390x libnss-files-udeb libc1-dbg libc6-dev-sparc64 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc6-sparcv9 libc6.1-prof libc1 locales libc6-pic libc0.3-udeb libc1-prof libc6-ppc64 libc0.3-dbg libc6-amd64 libc6-prof libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc1-dev libc6-dev-s390x
Architecture: source i386 all
Version: 2.3.5-12
Distribution: unstable
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Denis Barbier <barbier@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 233308 235759 254417 254993 271549 310635 322011 328831 334762
Changes: 
 glibc (2.3.5-12) unstable; urgency=low
 .
   * debian/patches/glibc235-nis-netgrp.diff: New file to fix assertion
     failures with NIS.  (Closes: #322011)
   * Switch to quilt to handle Debian patches.
     - debian/control.in/main: add Build-Depends: quilt.
     - Replace debian/rules.d/dpatch.mk by debian/rules.d/quilt.mk.
     - Rename debian/patches/*.dpatch into debian/patches/*.diff.
     - Move localedata patches into debian/patches/localedata/
   * debian/patches/localedata/cvs-localedata.diff: Update to latest CVS.
     Among other changes:
     - locales/mn_MN: Fix date_fmt.  (Closes: #328831)
     - locales/de_DE: Add transliterations for quoting characters.
       (Closes: #235759)
     - locales/ss_ZA locales/tn_ZA locales/ve_ZA locales/nso_ZA
       locales/ts_ZA: New files.  (Closes: #254417)
     - locales/km_KH: New file.  (Closes: #334762)
     - locales/mg_MG: New file.  (Closes: #271549)
     - locales/sr_CS: New file.  (Closes: #254993)
   * debian/patches/locale-iso4217.diff: Update to latest CVS.
     This includes changes from glibc235-localedata-sr_CS.diff, which
     is no more needed.
   * debian/patches/locale-iso639.diff: New file.
   * debian/patches/locale-ku_TR.diff: New file, to provide a Kurdish
     locale needed by d-i.  This locale comes from upstream CVS, and has
     been updated to the latest patch sent to BZ870.
   * debian/patches/localedata/locale-eo_EO.diff: Apply minor updates to
     this locale file.  Add eo and eo.UTF-8 to SUPPORTED.  (Closes: #233308)
   * Import collation fixes and enhancements for localedef from
     belocs-locales-bin.
   * debian/patches/forward-backward-collation.diff: New file.  Due to the
     fixes in localedef, some bugs in code which was previously never run
     did show up.  (Closes: #310635)
   * debian/patches/locale/locale-print-LANGUAGE.diff: New file, so that
     locale displays the LANGUAGE environment variable when called without
     argument.
   * Add myself to Uploaders.
Files: 
 a06693382ef27b931960ad540efe7a6c 1924 libs required glibc_2.3.5-12.dsc
 2037775402177036c478340d62b5ea27 421739 libs required glibc_2.3.5-12.diff.gz
 1e5e1c594c0f10172a20361226fc7f0f 3333498 doc optional glibc-doc_2.3.5-12_all.deb
 3a91b9f3d9677e27dc0096a0ee608540 4122638 libs standard locales_2.3.5-12_all.deb
 461a77901b8f9a5adf9fc0304f23db4a 5028906 libs required libc6_2.3.5-12_i386.deb
 6580b1939c2222f15e3932619e23ac60 2686418 libdevel standard libc6-dev_2.3.5-12_i386.deb
 ad2fd01c39eb4cbaf53987ed136280b1 1271278 libdevel extra libc6-prof_2.3.5-12_i386.deb
 0ae91978aadb8422ef236f12bab44b87 1015694 libdevel optional libc6-pic_2.3.5-12_i386.deb
 d1e8fa359eab14385597593f69f20d52 1067672 libs extra libc6-i686_2.3.5-12_i386.deb
 d74e19e66916fd878669aca3b22dfa9c 3260760 libs standard libc6-amd64_2.3.5-12_i386.deb
 1f0da0299b2009b808933a9fb278c13a 2003042 libdevel optional libc6-dev-amd64_2.3.5-12_i386.deb
 acebf750a9b6a6f4bb05f905731b8d29 126712 admin optional nscd_2.3.5-12_i386.deb
 522c7540999266bf76a50ac59ede30fa 6533848 libdevel extra libc6-dbg_2.3.5-12_i386.deb
 525ca724a0bf0b843714df1164443ada 706104 debian-installer extra libc6-udeb_2.3.5-12_i386.udeb
 ba00fc72638a0c2a87b7b58d8a520a8e 8274 debian-installer extra libnss-dns-udeb_2.3.5-12_i386.udeb
 a7b577e6c96be19fcba507979dac9807 14774 debian-installer extra libnss-files-udeb_2.3.5-12_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDyg2t8Ri1lR4WGvsRAk57AJ9Q357Kz14Nfb3YUkjEa45cGqjgsACglMev
ecnxM1n8xZKNweoM0QrcLl8=
=NgLK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 01:45:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:12:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.